--
--This script is used with joysticker Pro
--
local map1 = Map{
    name = "Player1", --the name is optional
    --Dpad controls
    padUp = Key.Up,
    padDown = Key.Down,
    padLeft = Key.Left,
    padRight = Key.Right,
    x = Key.X, --The X button presses the 'z' key
    a = Key.Z,
    rightTrigger = Key.C,
	rightBumper = Key.C,
	start = Key.V} --The A button presses the 'x' key

--Tell JoystickerPro to also map the Left analog stick of the joystick
--to the pad controls: up, down, left, right
JS.analog_conversion_mode = JS.CONVERT_LEFT

--You can also change the analog conversion's deadzone (the zone in which the stick is considered OFF)
-- for all controllers by changing this value (it defaults to 2048)
--JS.ANALOG_THRESHOLD = 2048

--Add the maping to JoystickerPro's controller maps
JS.AddMapping(map1)

