#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_223()
{
    // event 180_4
    {
        // group: Sounds
        if (!((((Active*)col_instance_1)->alterables->values.get(0)) >= (0))) goto event_180_4_end;
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_180_4_end: ;
}
void Frames::col_66_4()
{
    event_func_223();
}
void Frames::event_func_224()
{
    // event 519_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->flags.toggle(0);
    }
    event_519_4_end: ;
}
void Frames::col_69_4()
{
    event_func_191();
    event_func_224();
}
void Frames::event_func_225()
{
    // event 302_4
    {
        // group: Spike Shooter Test Enemy
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_302_4_end;
        global_values->sub(0, 15);
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_302_4_end: ;
}
void Frames::col_70_4()
{
    event_func_225();
}
void Frames::event_func_226()
{
    // event 198_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        media.play_id(SOUND_EYEBLOCK_14, -1, 1);
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1*global_values->get(12));
    }
    event_198_4_end: ;
}
void Frames::col_71_4()
{
    event_func_226();
    event_func_220();
}
void Frames::event_func_227()
{
    // event 436_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-dangerned'
        ((Active*)((Active*)col_instance_2))->force_animation(13);
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 20); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 10); // 'camera chaser'
        global_values->set(15, ((Active*)col_instance_2)->get_x());
        global_values->set(16, ((Active*)col_instance_2)->get_y());
    }
    event_436_4_end: ;
}
void Frames::col_73_4()
{
    event_func_164();
    event_func_227();
}
void Frames::event_func_228()
{
    // event 367_4
    {
        // group: Walker
        if (!((((Active*)col_instance_2)->alterables->values.get(3)) <= (0))) goto event_367_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'spawnerwalker'
        ((Active*)get_instance(framedatastore_159_instances))->alterables->values.add(2, 1); // 'FrameDataStore'
        FrameObject * single_instance_367_4_0; single_instance_367_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemywalker_172(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_367_4_0 == NULL)
                single_instance_367_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_367_4_0))->alterables->values.set(5, ((Active*)get_instance(framedatastore_159_instances))->alterables->values.get(2)); // 'enemy-walker'
        ((Active*)((Active*)single_instance_367_4_0))->alterables->values.set(6, -2); // 'enemy-walker'
        ((Active*)((Active*)single_instance_367_4_0))->alterables->values.set(4, ((Active*)single_instance_367_4_0)->get_x()); // 'enemy-walker'
    }
    event_367_4_end: ;
}
void Frames::col_74_4()
{
    event_func_228();
}
void Frames::event_func_229()
{
    // event 333_4
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        FrameObject * single_instance_333_4_0; single_instance_333_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_bigexplosion_152(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_333_4_0 == NULL)
                single_instance_333_4_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 20); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 10); // 'camera chaser'
        ((Active*)get_instance(framedatastore_159_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_159_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_333_4_end: ;
}
void Frames::col_75_4()
{
    event_func_229();
}
void Frames::event_func_230()
{
    // event 429_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(0);
    }
    event_429_4_end: ;
}
void Frames::col_76_4()
{
    event_func_230();
}
void Frames::event_func_231()
{
    // event 383_4
    {
        // group: Walker
        if (!((((Active*)col_instance_1)->alterables->values.get(2)) == (1))) goto event_383_4_end;
        ((Active*)((Active*)col_instance_2))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_2))->get_movement()->set_speed(((Active*)col_instance_2)->get_movement()->get_speed()/MathHelper()/3);
    }
    event_383_4_end: ;
}
void Frames::col_77_4()
{
    event_func_231();
}
void Frames::event_func_232()
{
    // event 500_4
    {
        ((Active*)((Active*)col_instance_1))->set_direction(24);
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, 0); // 'Bullet'
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_500_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_500_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1.2); // 'SendDown'
    }
    event_500_4_end: ;
}
void Frames::col_78_4()
{
    event_func_232();
}
void Frames::event_func_233()
{
    // event 231_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_231_4_end: ;
}
void Frames::col_79_4()
{
    event_func_233();
}
void Frames::event_func_234()
{
    // event 288_4
    {
        // group: Hoppy Enemy
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_288_4_end;
        global_values->sub(0, ((Active*)col_instance_1)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_288_4_end: ;
}
void Frames::col_80_4()
{
    event_func_234();
}
void Frames::event_func_235()
{
    // event 586_4
    {
        FrameObject * single_instance_586_4_0; single_instance_586_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_active8_179(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_586_4_0 == NULL)
                single_instance_586_4_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'counter-spawner'
    }
    event_586_4_end: ;
}
void Frames::col_81_4()
{
    event_func_235();
}
void Frames::event_func_236()
{
    // event 564_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(0);
        ((Active*)((Active*)col_instance_1))->set_visible(false);
    }
    event_564_4_end: ;
}
void Frames::col_83_4()
{
    event_func_236();
}
void Frames::col_84_4()
{
    event_func_225();
    event_func_183();
}
void Frames::event_func_237()
{
    // event 234_4
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        FrameObject * single_instance_234_4_0; single_instance_234_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyexplosion_154(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_234_4_0 == NULL)
                single_instance_234_4_0 = new_obj;
        }
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 2); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 2); // 'camera chaser'
    }
    event_234_4_end: ;
}
void Frames::col_85_4()
{
    event_func_237();
}
void Frames::event_func_238()
{
    // event 349_4
    {
        FrameObject * single_instance_349_4_0; single_instance_349_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemychomper_160(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_349_4_0 == NULL)
                single_instance_349_4_0 = new_obj;
        }
    }
    event_349_4_end: ;
}
void Frames::col_86_4()
{
    event_func_238();
}
void Frames::event_func_239()
{
    // event 365_4
    {
        // group: BrokenBrain
        if (!((((Active*)col_instance_1)->alterables->values.get(5)) > (1))) goto event_365_4_end;
        enemybrokenrobottop_170_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_2), enemybrokenrobottop_170_instances)) goto event_365_4_end;
        enemybrokenrobotbottom_171_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_2), enemybrokenrobotbottom_171_instances)) goto event_365_4_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(4)) == (((Active*)get_single(enemybrokenrobotbottom_171_instances, default_active_instance))->alterables->values.get(0)))) goto event_365_4_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(4)) == (((Active*)get_single(enemybrokenrobottop_170_instances, default_active_instance))->alterables->values.get(0)))) goto event_365_4_end;
        FrameObject * single_instance_365_4_0; single_instance_365_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_103(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_365_4_0 == NULL)
                single_instance_365_4_0 = new_obj;
        }
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 15); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 13); // 'camera chaser'
        ((Active*)get_instance(framedatastore_159_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_159_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        ((Active*)((Active*)col_instance_2))->destroy();
        for (ObjectIterator it(enemybrokenrobottop_170_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        for (ObjectIterator it(enemybrokenrobotbottom_171_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_365_4_end: ;
}
void Frames::col_88_4()
{
    event_func_239();
}
void Frames::event_func_240()
{
    // event 499_4
    {
        ((Active*)((Active*)col_instance_1))->set_direction(0);
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 0); // 'Bullet'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, 1); // 'Bullet'
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_499_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_499_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1.2); // 'SendRight'
    }
    event_499_4_end: ;
}
void Frames::col_89_4()
{
    event_func_240();
}
void Frames::event_func_241()
{
    // event 452_4
    {
        FrameObject * single_instance_452_4_0; single_instance_452_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyzappa_196(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 12), ((Active*)col_instance_2)->layer);
            if (single_instance_452_4_0 == NULL)
                single_instance_452_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_452_4_0))->alterables->values.set(2, ((Active*)single_instance_452_4_0)->alterables->values.get(3)); // 'enemy-zappa'
    }
    event_452_4_end: ;
}
void Frames::col_90_4()
{
    event_func_241();
}
void Frames::event_func_242()
{
    // event 235_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_235_4_0; single_instance_235_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyexplosion_154(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_235_4_0 == NULL)
                single_instance_235_4_0 = new_obj;
        }
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 2); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 2); // 'camera chaser'
    }
    event_235_4_end: ;
}
void Frames::col_92_4()
{
    event_func_242();
}
void Frames::event_func_243()
{
    // event 268_4
    {
        // group: Health/lives
        if (not_always_268_4_0 > loop_count) {
            not_always_268_4_0 = loop_count + 2;
            goto event_268_4_end;
        }
        not_always_268_4_0 = loop_count + 2;
        global_values->sub(0, 10);
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_268_4_end: ;
}
void Frames::col_94_4()
{
    event_func_243();
}
void Frames::event_func_244()
{
    // event 355_4
    {
        // group: BrokenBrain
        if (!((((Active*)col_instance_2)->alterables->values.get(3)) <= (0))) goto event_355_4_end;
        FrameObject * single_instance_355_4_0; single_instance_355_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemybrokenrobot_168(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_355_4_0 == NULL)
                single_instance_355_4_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'spawnerbrokenrobot'
        ((Active*)((Active*)single_instance_355_4_0))->alterables->values.set(4, ((Active*)get_instance(framedatastore_159_instances))->alterables->values.get(2)); // 'enemy-brokenrobot'
        FrameObject * single_instance_355_4_1; single_instance_355_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemybrokenrobottop_170(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_355_4_1 == NULL)
                single_instance_355_4_1 = new_obj;
        }
        FrameObject * single_instance_355_4_2; single_instance_355_4_2 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemybrokenrobotbottom_171(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_355_4_2 == NULL)
                single_instance_355_4_2 = new_obj;
        }
        ((Active*)((Active*)single_instance_355_4_1))->alterables->values.set(0, ((Active*)get_instance(framedatastore_159_instances))->alterables->values.get(2)); // 'enemy-brokenrobot-top'
        ((Active*)((Active*)single_instance_355_4_2))->alterables->values.set(0, ((Active*)get_instance(framedatastore_159_instances))->alterables->values.get(2)); // 'enemy-brokenrobot-bottom'
        ((Active*)get_instance(framedatastore_159_instances))->alterables->values.add(2, 1); // 'FrameDataStore'
    }
    event_355_4_end: ;
}
void Frames::col_96_4()
{
    event_func_244();
}
void Frames::event_func_245()
{
    // event 470_4
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        FrameObject * single_instance_470_4_0; single_instance_470_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyrockiship_203(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_470_4_0 == NULL)
                single_instance_470_4_0 = new_obj;
        }
    }
    event_470_4_end: ;
}
void Frames::col_98_4()
{
    event_func_245();
}
void Frames::col_99_4()
{
    event_func_176();
}
void Frames::event_func_246()
{
    // event 228_4
    {
        ((Active*)((Active*)col_instance_2))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
    }
    event_228_4_end: ;
}
void Frames::col_100_4()
{
    event_func_246();
}
void Frames::event_func_247()
{
    // event 426_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, ((Active*)col_instance_1)->alterables->values.get(2)*-1); // 'enemy-mobilebrohoriz'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, ((Active*)col_instance_1)->alterables->values.get(3)*-1); // 'enemy-mobilebrohoriz'
    }
    event_426_4_end: ;
}
void Frames::col_101_4()
{
    event_func_247();
}
void Frames::event_func_248()
{
    // event 280_4
    {
        // group: Hoppy Enemy
        if (!((((Active*)col_instance_2)->alterables->values.get(3)) <= (0))) goto event_280_4_end;
        FrameObject * single_instance_280_4_0; single_instance_280_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyhoppy_127(((Active*)col_instance_2)->get_action_x() - ((Active*)col_instance_2)->layer->off_x + 0, ((Active*)col_instance_2)->get_action_y() - ((Active*)col_instance_2)->layer->off_y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_280_4_0 == NULL)
                single_instance_280_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_280_4_0))->alterables->values.set(2, ((Active*)col_instance_2)->alterables->values.get(0)); // 'Enemy-Hoppy'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'SpawnerHoppy'
        ((Active*)((Active*)single_instance_280_4_0))->alterables->values.set(3, 15); // 'Enemy-Hoppy'
    }
    event_280_4_end: ;
}
void Frames::event_func_249()
{
    // event 281_4
    {
        // group: Hoppy Enemy
        enemyhoppy_127_instances.clear_selection();
        if (!check_overlap(enemyhoppy_127_instances, ((Active*)col_instance_1))) goto event_281_4_end;
        for (ObjectIterator it(enemyhoppy_127_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) != (((Active*)col_instance_2)->alterables->values.get(0)))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_127_instances.has_selection()) goto event_281_4_end;
        for (ObjectIterator it(enemyhoppy_127_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, ((Active*)col_instance_2)->alterables->values.get(0)); // 'Enemy-Hoppy'
        }
    }
    event_281_4_end: ;
}
void Frames::col_102_4()
{
    event_func_248();
    event_func_249();
}
void Frames::event_func_250()
{
    // event 321_4
    {
        // group: Enemy Movers
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_321_4_end;
        global_values->sub(0, ((Active*)col_instance_1)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 46); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_321_4_end: ;
}
void Frames::col_103_4()
{
    event_func_250();
}
void Frames::event_func_251()
{
    // event 548_4
    {
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 15); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(5, 0); // 'Player'
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
    }
    event_548_4_end: ;
}
void Frames::col_104_4()
{
    event_func_251();
}
void Frames::event_func_252()
{
    // event 568_4
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_568_4_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_568_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(0);
    }
    event_568_4_end: ;
}
void Frames::col_105_4()
{
    event_func_252();
}
void Frames::event_func_253()
{
    // event 416_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 5); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 5); // 'camera chaser'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(6, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-blobulule-phase2'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_416_4_end: ;
}
void Frames::event_func_254()
{
    // event 421_4
    {
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_421_4_end: ;
}
void Frames::col_106_4()
{
    event_func_164();
    event_func_253();
    event_func_254();
}
void Frames::event_func_255()
{
    // event 549_4
    {
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, -15); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(5, 1); // 'Player'
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
        }
    }
    event_549_4_end: ;
}
void Frames::col_107_4()
{
    event_func_255();
}
void Frames::event_func_256()
{
    // event 440_4
    {
        FrameObject * single_instance_440_4_0; single_instance_440_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemydangerned_193(((Active*)col_instance_2)->get_action_x() - ((Active*)col_instance_2)->layer->off_x + 0, ((Active*)col_instance_2)->get_action_y() - ((Active*)col_instance_2)->layer->off_y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_440_4_0 == NULL)
                single_instance_440_4_0 = new_obj;
        }
    }
    event_440_4_end: ;
}
void Frames::col_108_4()
{
    event_func_256();
}
void Frames::event_func_257()
{
    // event 147_4
    {
        manager.ignore_controls = true;
        {
            ((Active*)col_instance_1)->set_global_position(4144, 624);
            pos_end_147_4_0: ;
        }
        ((Active*)get_instance(inputcoordinatorsecretary_89_instances))->force_animation(1);
    }
    event_147_4_end: ;
}
void Frames::col_109_4()
{
    event_func_257();
}
void Frames::event_func_258()
{
    // event 178_4
    {
        // group: Sounds
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_178_4_end;
        media.play_id(SOUND_DISAPPEARINGBLOCK_3_8, -1, 1);
        media.set_sample_volume(SOUND_DISAPPEARINGBLOCK_3_8, global_values->get(12)*1.0);
    }
    event_178_4_end: ;
}
void Frames::event_func_259()
{
    // event 487_4
    {
        // group: Disappearing Blocks
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_487_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_487_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 1); // 'dissappear'
    }
    event_487_4_end: ;
}
void Frames::col_110_4()
{
    event_func_258();
    event_func_259();
}
void Frames::event_func_260()
{
    // event 385_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)get_instance(bullet_94_instances, default_active_instance))->alterables->values.get(4)); // 'enemy-floater'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        bullet_94_instances.clear_selection();
        for (ObjectIterator it(bullet_94_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_385_4_end: ;
}
void Frames::col_111_4()
{
    event_func_260();
    event_func_174();
    event_func_175();
}
void Frames::event_func_261()
{
    // event 498_4
    {
        ((Active*)((Active*)col_instance_1))->set_direction(8);
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1.2); // 'SendUp'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, -1); // 'Bullet'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, 0); // 'Bullet'
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_498_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_498_4_0: ;
        }
    }
    event_498_4_end: ;
}
void Frames::col_112_4()
{
    event_func_261();
}
void Frames::event_func_262()
{
    // event 190_4
    {
        // group: Sounds
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_190_4_end;
        media.play_id(SOUND_SPRING_4, -1, 1);
        media.set_sample_pan(SOUND_SPRING_4, global_values->get(12)*0.8);
    }
    event_190_4_end: ;
}
void Frames::col_114_4()
{
    event_func_262();
}
void Frames::event_func_263()
{
    // event 179_4
    {
        // group: Sounds
        if (!((((Active*)col_instance_2)->alterables->values.get(2)) == (1))) goto event_179_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_179_4_end;
        if (not_always_179_4_0 > loop_count) {
            not_always_179_4_0 = loop_count + 2;
            goto event_179_4_end;
        }
        not_always_179_4_0 = loop_count + 2;
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_179_4_end: ;
}
void Frames::col_115_4()
{
    event_func_263();
}
void Frames::event_func_264()
{
    // event 260_4
    {
        // group: Crates
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_260_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 46); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 95); // 'Player'
    }
    event_260_4_end: ;
}
void Frames::col_117_4()
{
    event_func_264();
}
void Frames::event_func_265()
{
    // event 566_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(16);
        ((Active*)((Active*)col_instance_1))->set_visible(false);
    }
    event_566_4_end: ;
}
void Frames::col_119_4()
{
    event_func_265();
}
void Frames::event_func_266()
{
    // event 325_4
    {
        // group: Enemies
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_325_4_end;
        global_values->sub(0, global_values->get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_325_4_end: ;
}
void Frames::col_121_4()
{
    event_func_266();
}
void Frames::event_func_267()
{
    // event 604_4
    {
        // group: Platform Spawners
        vertplatform_78_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_1), vertplatform_78_instances)) goto event_604_4_end;
        ((Active*)((Active*)col_instance_1))->destroy();
        for (ObjectIterator it(vertplatform_78_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_604_4_end: ;
}
void Frames::col_122_4()
{
    event_func_267();
}
void Frames::event_func_268()
{
    // event 462_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 5); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 5); // 'camera chaser'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-droppo'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_462_4_end: ;
}
void Frames::col_123_4()
{
    event_func_268();
}
void Frames::col_124_4()
{
    event_func_218();
    event_func_177();
}
void Frames::event_func_269()
{
    // event 623_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        global_values->sub(10, -1);
        FrameObject * single_instance_623_4_0; single_instance_623_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_103(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_623_4_0 == NULL)
                single_instance_623_4_0 = new_obj;
        }
        ((Active*)get_instance(framedatastore_159_instances))->alterables->values.set(0, ((Active*)col_instance_1)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_159_instances))->alterables->values.set(1, ((Active*)col_instance_1)->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(15);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 10); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 7); // 'camera chaser'
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_623_4_end: ;
}
void Frames::col_125_4()
{
    event_func_269();
}
void Frames::event_func_270()
{
    // event 226_4
    {
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
    }
    event_226_4_end: ;
}
void Frames::col_126_4()
{
    event_func_270();
}
void Frames::event_func_271()
{
    // event 395_4
    {
        // group: Blobulule
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) == (0))) goto event_395_4_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(2)) == (0))) goto event_395_4_end;
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, 1); // 'enemy-blobulule-phase2'
        ((Active*)((Active*)col_instance_1))->force_animation(1);
        ((Active*)((Active*)col_instance_1))->get_movement()->set_speed(0);
        enemygoo_189_instances.empty_selection();
        // select single: false true false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_189(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + -12, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_189_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_189(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + -9, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_189_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_189(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + -6, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_189_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_189(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + -3, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_189_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_189(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 3, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_189_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_189(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 6, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_189_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_189(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 9, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_189_instances.add_back();
        }
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_189(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 12, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_189_instances.add_back();
        }
        for (ObjectIterator it(enemygoo_189_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, randrange_event(4)); // 'enemy-goo'
        }
        ((Active*)((Active*)col_instance_1))->set_direction(get_direction_int(((Active*)col_instance_1)->x, ((Active*)col_instance_1)->y, ((Active*)get_instance(player_65_instances))->x + 0, ((Active*)get_instance(player_65_instances))->y + 0));
        // select single: false false true
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemygoo_189(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 0, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + -2), ((Active*)col_instance_1)->layer);
            enemygoo_189_instances.add_back();
        }
        ((Active*)((Active*)col_instance_1))->alterables->values.add(6, 1); // 'enemy-blobulule-phase2'
        ((Active*)((Active*)col_instance_1))->set_y(((Active*)col_instance_1)->get_y()-1);
    }
    event_395_4_end: ;
}
void Frames::event_func_272()
{
    // event 396_4
    {
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->get_movement()->set_speed(((Active*)col_instance_1)->get_movement()->get_speed()/MathHelper()/3);
    }
    event_396_4_end: ;
}
void Frames::col_130_4()
{
    event_func_271();
    event_func_272();
}
void Frames::event_func_273()
{
    // event 461_4
    {
        // group: Drop Bro
        if (!(((Active*)col_instance_1)->test_directions(16777216))) goto event_461_4_end;
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_dropposhot_199(0, 0), ((Active*)col_instance_1)->layer);
            ((Active*)col_instance_1)->shoot(new_obj, 20, 16);
        }
        // select single: false false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_dropposhot_199(0, 0), ((Active*)col_instance_1)->layer);
            ((Active*)col_instance_1)->shoot(new_obj, 20, 0);
        }
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_461_4_end: ;
}
