#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::col_5_4()
{
    event_func_170();
}
void Frames::event_func_171()
{
    // event 570_4
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_570_4_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_570_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(16);
    }
    event_570_4_end: ;
}
void Frames::col_6_4()
{
    event_func_171();
}
void Frames::event_func_172()
{
    // event 449_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 9); // 'enemy-zappa'
    }
    event_449_4_end: ;
}
void Frames::col_7_4()
{
    event_func_172();
}
void Frames::event_func_173()
{
    // event 385_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(1, ((Active*)get_instance(bullet_94_instances, default_active_instance))->alterables->values.get(4)); // 'enemy-floater'
        ((Active*)((Active*)col_instance_1))->force_animation(12);
        bullet_94_instances.clear_selection();
        for (ObjectIterator it(bullet_94_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_385_4_end: ;
}
void Frames::event_func_174()
{
    // event 386_4
    {
        enemyatom_151_instances.clear_selection();
        for (ObjectIterator it(enemyatom_151_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_386_4_0; single_instance_386_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyatom_151_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bigexplosion_152(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_386_4_0 == NULL)
                    single_instance_386_4_0 = new_obj;
            }
        }
        bullet_94_instances.clear_selection();
        for (ObjectIterator it(bullet_94_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        camerachaser_22_instances.clear_selection();
        for (ObjectIterator it(camerachaser_22_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(5, 20); // 'camera chaser'
            ((Active*)*it)->alterables->values.add(6, 10); // 'camera chaser'
        }
        framedatastore_159_instances.clear_selection();
        for (ObjectIterator it(framedatastore_159_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, ((Active*)get_single(enemyatom_151_instances, it.current_index, default_active_instance))->get_x()); // 'FrameDataStore'
            ((Active*)*it)->alterables->values.set(1, ((Active*)get_single(enemyatom_151_instances, it.current_index, default_active_instance))->get_y()); // 'FrameDataStore'
        }
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_386_4_end: ;
}
void Frames::event_func_175()
{
    // event 387_4
    {
        enemyhoppy_127_instances.clear_selection();
        for (ObjectIterator it(enemyhoppy_127_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, ((Active*)get_instance(bullet_94_instances, it.current_index, default_active_instance))->alterables->values.get(4)); // 'Enemy-Hoppy'
            ((Active*)*it)->force_animation(12);
        }
        camerachaser_22_instances.clear_selection();
        for (ObjectIterator it(camerachaser_22_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(5, 5); // 'camera chaser'
            ((Active*)*it)->alterables->values.add(6, 5); // 'camera chaser'
        }
        bullet_94_instances.clear_selection();
        for (ObjectIterator it(bullet_94_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
    }
    event_387_4_end: ;
}
void Frames::col_8_4()
{
    event_func_173();
    event_func_174();
    event_func_175();
}
void Frames::event_func_176()
{
    // event 345_4
    {
        // group: Chomper
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_345_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(3));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_345_4_end: ;
}
void Frames::event_func_177()
{
    // event 353_4
    {
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 75); // 'Player'
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_353_4_end: ;
}
void Frames::col_9_4()
{
    event_func_176();
    event_func_177();
}
void Frames::event_func_178()
{
    // event 434_4
    {
        FrameObject * single_instance_434_4_0; single_instance_434_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemymobilebrohoriz_190(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_434_4_0 == NULL)
                single_instance_434_4_0 = new_obj;
        }
    }
    event_434_4_end: ;
}
void Frames::col_10_4()
{
    event_func_178();
}
void Frames::event_func_179()
{
    // event 329_4
    {
        // group: Atom Bomb
        if (!((((Active*)col_instance_2)->alterables->values.get(3)) <= (0))) goto event_329_4_end;
        FrameObject * single_instance_329_4_0; single_instance_329_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyatom_151(((Active*)col_instance_2)->x + 16, ((Active*)col_instance_2)->y + 16), ((Active*)col_instance_2)->layer);
            if (single_instance_329_4_0 == NULL)
                single_instance_329_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_329_4_0))->alterables->values.set(7, ((Active*)get_instance(player_65_instances))->get_y()+(((Active*)single_instance_329_4_0)->alterables->values.get(0)/MathHelper()/2)-20); // 'enemy-atom'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'SpawnerAtom'
    }
    event_329_4_end: ;
}
void Frames::col_11_4()
{
    event_func_179();
}
void Frames::event_func_180()
{
    // event 567_4
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_567_4_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_567_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(24);
    }
    event_567_4_end: ;
}
void Frames::col_12_4()
{
    event_func_180();
}
void Frames::event_func_181()
{
    // event 307_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-floater'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
    }
    event_307_4_end: ;
}
void Frames::col_13_4()
{
    event_func_181();
}
void Frames::event_func_182()
{
    // event 189_4
    {
        media.play_id(SOUND_SPRING_4, -1, 1);
        media.set_sample_pan(SOUND_SPRING_4, global_values->get(12)*0.8);
    }
    event_189_4_end: ;
}
void Frames::col_15_4()
{
    event_func_182();
}
void Frames::event_func_183()
{
    // event 601_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_601_4_end: ;
}
void Frames::col_16_4()
{
    event_func_183();
}
void Frames::event_func_184()
{
    // event 323_4
    {
        // group: Shooter
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_323_4_end;
        global_values->sub(0, ((Active*)col_instance_1)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(2);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_323_4_end: ;
}
void Frames::col_17_4()
{
    event_func_184();
}
void Frames::event_func_185()
{
    // event 193_4
    {
        // group: Sounds
        if (!(frame_time >= 0.11)) goto event_193_4_end;
        media.play_id(SOUND_EYEBLOCK_14, -1, 1);
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1*global_values->get(12));
    }
    event_193_4_end: ;
}
void Frames::event_func_186()
{
    // event 514_4
    {
        // group: Eyeblock
        if (frame_time - restrict_514_4 < 0.01) goto event_514_4_end;
        restrict_514_4 = frame_time;
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->flags.toggle(0);
    }
    event_514_4_end: ;
}
void Frames::event_func_187()
{
    // event 526_4
    {
        // group: Eyeblock
        if (!(loop_count <= 1)) goto event_526_4_end;
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->flags.toggle(0);
    }
    event_526_4_end: ;
}
void Frames::col_18_4()
{
    event_func_185();
    event_func_186();
    event_func_187();
}
void Frames::event_func_188()
{
    // event 606_4
    {
        // group: Platform Spawners
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_606_4_end;
        screen_123_instances.clear_selection();
        if (!check_overlap(screen_123_instances, ((Active*)col_instance_2))) goto event_606_4_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_606_4_end;
        bullet_94_instances.clear_selection();
        for (ObjectIterator it(bullet_94_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
        FrameObject * single_instance_606_4_0; single_instance_606_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_movingplatform_69(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_606_4_0 == NULL)
                single_instance_606_4_0 = new_obj;
        }
        FrameObject * single_instance_606_4_1; single_instance_606_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_platform2_70(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_606_4_1 == NULL)
                single_instance_606_4_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->force_animation(1);
        media.play_id(SOUND_SPWNPLAT16MONO_20, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_20, 0.5*global_values->get(12));
    }
    event_606_4_end: ;
}
void Frames::event_func_189()
{
    // event 611_4
    {
        // group: Platform Spawners
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (1))) goto event_611_4_end;
        screen_123_instances.clear_selection();
        if (!check_overlap(screen_123_instances, ((Active*)col_instance_2))) goto event_611_4_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_611_4_end;
        FrameObject * single_instance_611_4_0; single_instance_611_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_vertplatform_78(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_611_4_0 == NULL)
                single_instance_611_4_0 = new_obj;
        }
        FrameObject * single_instance_611_4_1; single_instance_611_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_vertdetector_79(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_611_4_1 == NULL)
                single_instance_611_4_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->force_animation(1);
        media.play_id(SOUND_SPWNPLAT16MONO_20, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_20, 0.5*global_values->get(12));
    }
    event_611_4_end: ;
}
void Frames::col_19_4()
{
    event_func_188();
    event_func_189();
}
void Frames::event_func_190()
{
    // event 468_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1); // 'enemy-rockiship'
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_468_4_end: ;
}
void Frames::col_21_4()
{
    event_func_190();
}
void Frames::event_func_191()
{
    // event 194_4
    {
        media.play_id(SOUND_EYEBLOCK_14, -1, 1);
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1*global_values->get(12));
    }
    event_194_4_end: ;
}
void Frames::col_22_4()
{
    event_func_191();
}
void Frames::event_func_192()
{
    // event 457_4
    {
        // group: Zappa
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_457_4_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_457_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_457_4_end: ;
}
void Frames::col_23_4()
{
    event_func_192();
}
void Frames::event_func_193()
{
    // event 229_4
    {
        ((Active*)((Active*)col_instance_2))->get_movement()->bounce(Movement::COLLISION);
    }
    event_229_4_end: ;
}
void Frames::col_24_4()
{
    event_func_193();
}
void Frames::event_func_194()
{
    // event 346_4
    {
        // group: Chomper
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_346_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 75); // 'Player'
        enemyzapball_161_instances.clear_selection();
        for (ObjectIterator it(enemyzapball_161_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_346_4_end: ;
}
void Frames::col_25_4()
{
    event_func_194();
}
void Frames::event_func_195()
{
    // event 328_4
    {
        // group: Enemies
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_328_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 75); // 'Player'
        global_values->sub(0, global_values->get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_328_4_end: ;
}
void Frames::col_26_4()
{
    event_func_195();
}
void Frames::event_func_196()
{
    // event 571_4
    {
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_571_4_end: ;
}
void Frames::col_27_4()
{
    event_func_196();
}
void Frames::event_func_197()
{
    // event 419_4
    {
        // group: Blobulule
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_419_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(5));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_419_4_end: ;
}
void Frames::col_28_4()
{
    event_func_197();
}
void Frames::event_func_198()
{
    // event 274_4
    {
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->get_movement()->set_speed(get_floor(((Active*)col_instance_1)->get_movement()->get_speed()/MathHelper()/3)-1);
    }
    event_274_4_end: ;
}
void Frames::col_29_4()
{
    event_func_198();
}
void Frames::event_func_199()
{
    // event 585_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->force_animation(18);
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'Active 8'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 5); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 5); // 'camera chaser'
    }
    event_585_4_end: ;
}
void Frames::col_31_4()
{
    event_func_164();
    event_func_199();
}
void Frames::event_func_200()
{
    // event 551_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(12, 1200); // 'Player'
    }
    event_551_4_end: ;
}
void Frames::col_32_4()
{
    event_func_200();
}
void Frames::event_func_201()
{
    // event 428_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(16);
    }
    event_428_4_end: ;
}
void Frames::col_36_4()
{
    event_func_201();
}
void Frames::event_func_202()
{
    // event 569_4
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_569_4_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_569_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(8);
    }
    event_569_4_end: ;
}
void Frames::col_38_4()
{
    event_func_202();
}
void Frames::event_func_203()
{
    // event 524_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->flags.toggle(0);
    }
    event_524_4_end: ;
}
void Frames::col_39_4()
{
    event_func_203();
}
void Frames::event_func_204()
{
    // event 362_4
    {
        // group: BrokenBrain
        if (!((((Active*)col_instance_1)->alterables->values.get(4)) == (0))) goto event_362_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_362_4_end: ;
}
void Frames::col_40_4()
{
    event_func_204();
}
void Frames::event_func_205()
{
    // event 432_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-mobilebrohoriz'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 5); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 5); // 'camera chaser'
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
    }
    event_432_4_end: ;
}
void Frames::col_42_4()
{
    event_func_164();
    event_func_205();
}
void Frames::event_func_206()
{
    // event 427_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(8);
    }
    event_427_4_end: ;
}
void Frames::col_43_4()
{
    event_func_206();
}
void Frames::event_func_207()
{
    // event 565_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(8);
        ((Active*)((Active*)col_instance_1))->set_visible(false);
    }
    event_565_4_end: ;
}
void Frames::col_45_4()
{
    event_func_207();
}
void Frames::col_46_4()
{
    event_func_189();
}
void Frames::event_func_208()
{
    // event 295_4
    {
        ((Active*)((Active*)col_instance_2))->force_animation(13);
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'SpikeShooter'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 5); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 5); // 'camera chaser'
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
    }
    event_295_4_end: ;
}
void Frames::col_47_4()
{
    event_func_164();
    event_func_208();
}
void Frames::event_func_209()
{
    // event 200_4
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        media.play_id(SOUND_EYEBLOCK_14, -1, 1);
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1*global_values->get(12));
    }
    event_200_4_end: ;
}
void Frames::event_func_210()
{
    // event 517_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->flags.toggle(0);
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_517_4_end: ;
}
void Frames::col_49_4()
{
    event_func_209();
    event_func_210();
}
void Frames::event_func_211()
{
    // event 605_4
    {
        // group: Platform Spawners
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_605_4_end;
        screen_123_instances.clear_selection();
        if (!check_overlap(screen_123_instances, ((Active*)col_instance_2))) goto event_605_4_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_605_4_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        FrameObject * single_instance_605_4_0; single_instance_605_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_movingplatform_69(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_605_4_0 == NULL)
                single_instance_605_4_0 = new_obj;
        }
        FrameObject * single_instance_605_4_1; single_instance_605_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_platform2_70(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_605_4_1 == NULL)
                single_instance_605_4_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->force_animation(1);
        media.play_id(SOUND_SPWNPLAT16MONO_20, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_20, 0.5*global_values->get(12));
    }
    event_605_4_end: ;
}
void Frames::event_func_212()
{
    // event 610_4
    {
        // group: Platform Spawners
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (1))) goto event_610_4_end;
        screen_123_instances.clear_selection();
        if (!check_overlap(screen_123_instances, ((Active*)col_instance_2))) goto event_610_4_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_610_4_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        FrameObject * single_instance_610_4_0; single_instance_610_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_vertplatform_78(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_610_4_0 == NULL)
                single_instance_610_4_0 = new_obj;
        }
        FrameObject * single_instance_610_4_1; single_instance_610_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_vertdetector_79(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_610_4_1 == NULL)
                single_instance_610_4_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->force_animation(1);
        media.play_id(SOUND_SPWNPLAT16MONO_20, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_20, 0.5*global_values->get(12));
    }
    event_610_4_end: ;
}
void Frames::col_50_4()
{
    event_func_211();
    event_func_212();
}
void Frames::col_51_4()
{
    event_func_209();
}
void Frames::event_func_213()
{
    // event 209_4
    {
        media.play_id(SOUND_KEY_11, -1, 1);
        media.set_sample_volume(SOUND_KEY_11, global_values->get(12)*1.0);
    }
    event_209_4_end: ;
}
void Frames::col_52_4()
{
    event_func_213();
}
void Frames::event_func_214()
{
    // event 291_4
    {
        // group: Hoppy Enemy
        if (!((((Active*)col_instance_2)->alterables->values.get(2)) == (1))) goto event_291_4_end;
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->get_movement()->set_speed(get_floor(((Active*)col_instance_1)->get_movement()->get_speed()/MathHelper()/3)-1);
    }
    event_291_4_end: ;
}
void Frames::col_53_4()
{
    event_func_214();
}
void Frames::event_func_215()
{
    // event 501_4
    {
        ((Active*)((Active*)col_instance_1))->set_direction(16);
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 0); // 'Bullet'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, -1); // 'Bullet'
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_501_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_501_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1.2); // 'SendLeft'
    }
    event_501_4_end: ;
}
void Frames::col_56_4()
{
    event_func_215();
}
void Frames::event_func_216()
{
    // event 557_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(17, 1); // 'Player'
    }
    event_557_4_end: ;
}
void Frames::col_57_4()
{
    event_func_216();
}
void Frames::event_func_217()
{
    // event 414_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 5); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 5); // 'camera chaser'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-blobulule-phase1'
        ((Active*)((Active*)col_instance_2))->force_animation(13);
    }
    event_414_4_end: ;
}
void Frames::col_58_4()
{
    event_func_164();
    event_func_217();
}
void Frames::event_func_218()
{
    // event 469_4
    {
        // group: Rock-It Ship
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) <= (0))) goto event_469_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(1));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_65_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_469_4_end: ;
}
void Frames::col_60_4()
{
    event_func_218();
}
void Frames::event_func_219()
{
    // event 550_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(0, -14); // 'Player'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 1); // 'Player'
    }
    event_550_4_end: ;
}
void Frames::col_61_4()
{
    event_func_219();
}
void Frames::event_func_220()
{
    // event 518_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->flags.toggle(0);
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_518_4_end: ;
}
void Frames::col_62_4()
{
    event_func_191();
    event_func_220();
}
void Frames::col_63_4()
{
    event_func_210();
}
void Frames::event_func_221()
{
    // event 422_4
    {
        FrameObject * single_instance_422_4_0; single_instance_422_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyblobululephase1_187(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_422_4_0 == NULL)
                single_instance_422_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_422_4_0))->alterables->values.set(2, ((Active*)single_instance_422_4_0)->get_y()); // 'enemy-blobulule-phase1'
    }
    event_422_4_end: ;
}
void Frames::col_64_4()
{
    event_func_221();
}
void Frames::event_func_222()
{
    // event 424_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(24);
    }
    event_424_4_end: ;
}
void Frames::col_65_4()
{
    event_func_222();
}
