#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::col_131_4()
{
    event_func_273();
}
void Frames::col_132_4()
{
    event_func_272();
}
void Frames::event_func_274()
{
    // event 619_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_619_4_0; single_instance_619_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_objcheckpoint_205(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + -1), ((Active*)col_instance_1)->layer);
            if (single_instance_619_4_0 == NULL)
                single_instance_619_4_0 = new_obj;
        }
        global_values->set(8, ((Active*)single_instance_619_4_0)->get_action_x());
        global_values->set(9, ((Active*)single_instance_619_4_0)->get_action_y());
    }
    event_619_4_end: ;
}
void Frames::col_133_4()
{
    event_func_274();
}
void Frames::test_collisions_4()
{
    test_collisions(senddown_132_instances, objlasergun_177_instances, 1, 1, (EventFunction)&Frames::col_0_4);
    test_collisions(hurtbox_149_instances, enemyblobululephase1_187_instances, 1, 1, (EventFunction)&Frames::col_1_4);
    test_collisions(bullet_94_instances, enemyhoppy_127_instances, 1, 1, (EventFunction)&Frames::col_2_4);
    test_collisions(bullet_94_instances, enemychomper_160_instances, 2, 1, (EventFunction)&Frames::col_3_4);
    test_collisions(bullet_94_instances, enemywalker_172_instances, 4, 1, (EventFunction)&Frames::col_4_4);
    test_collisions(screen_123_instances, spikeshooterspawner_124_instances, 1, 1, (EventFunction)&Frames::col_5_4);
    test_collisions(sendleft_133_instances, enemylaser_178_instances, 1, 1, (EventFunction)&Frames::col_6_4);
    test_collisions(bullet_94_instances, enemyzappa_196_instances, 8, 1, (EventFunction)&Frames::col_7_4);
    test_collisions(enemyfloater_140_instances, homept1_181_instances, 1, 1, (EventFunction)&Frames::col_8_4);
    test_collisions(hurtbox_149_instances, enemyzapball_161_instances, 2, 1, (EventFunction)&Frames::col_9_4);
    test_collisions(screen_123_instances, spawnermobilebro_192_instances, 2, 1, (EventFunction)&Frames::col_10_4);
    test_collisions(screen_123_instances, spawneratom_150_instances, 4, 1, (EventFunction)&Frames::col_11_4);
    test_collisions(senddown_132_instances, enemylaser_178_instances, 2, 2, (EventFunction)&Frames::col_12_4);
    test_collisions(bullet_94_instances, enemyfloater_140_instances, 16, 2, (EventFunction)&Frames::col_13_4);
    test_collisions(hurtbox_149_instances, dropposhot_199_instances, 4, 1, (EventFunction)&Frames::col_1_4);
    test_collisions(player_65_instances, springleft_138_instances, 1, 1, (EventFunction)&Frames::col_15_4);
    test_collisions(movingplatform_69_instances, boxdestroyer_112_instances, 1, 1, (EventFunction)&Frames::col_16_4);
    test_collisions(enemyflashbullet_143_instances, hurtbox_149_instances, 1, 8, (EventFunction)&Frames::col_17_4);
    test_collisions(bullet_94_instances, objeyeblock_144_instances, 32, 1, (EventFunction)&Frames::col_18_4);
    test_collisions(active2_2_instances, objshootspawner_209_instances, 1, 1, (EventFunction)&Frames::col_19_4);
    test_collisions(sprite_71_instances, enemywalker_172_instances, 1, 2, (EventFunction)&Frames::col_1_4);
    test_collisions(active2_2_instances, enemyrockiship_203_instances, 2, 1, (EventFunction)&Frames::col_21_4);
    test_collisions(objeyeblock_144_instances, enemyexplosion_154_instances, 2, 1, (EventFunction)&Frames::col_22_4);
    test_collisions(hurtbox_149_instances, enemyzappa_196_instances, 16, 2, (EventFunction)&Frames::col_23_4);
    test_collisions_save(tntconveyor_114_instances, tntconveyor_114_instances, 1, 1, (EventFunction)&Frames::col_24_4);
    test_collisions(hurtbox_149_instances, enemychomper_160_instances, 32, 2, (EventFunction)&Frames::col_25_4);
    test_collisions(spikestop_147_instances, hurtbox_149_instances, 1, 64, (EventFunction)&Frames::col_26_4);
    test_collisions(boxdestroyer_112_instances, enemylaser_178_instances, 2, 4, (EventFunction)&Frames::col_27_4);
    test_collisions(hurtbox_149_instances, enemyblobululephase2_188_instances, 128, 1, (EventFunction)&Frames::col_28_4);
    test_collisions_save(enemyhoppy_127_instances, dissappear_128_instances, 2, 1, (EventFunction)&Frames::col_29_4);
    test_collisions(enemyfloater_140_instances, enemylaser_178_instances, 4, 8, (EventFunction)&Frames::col_8_4);
    test_collisions(bullet_94_instances, active8_12_instances, 64, 1, (EventFunction)&Frames::col_31_4);
    test_collisions(player_65_instances, bulletpowerup_166_instances, 2, 1, (EventFunction)&Frames::col_32_4);
    test_collisions(bullet_94_instances, boxdestroyer_112_instances, 128, 4, (EventFunction)&Frames::col_16_4);
    test_collisions(hurtbox_149_instances, bigexplosion_152_instances, 256, 1, (EventFunction)&Frames::col_1_4);
    test_collisions(boxdestroyer_112_instances, enemywalker_172_instances, 8, 4, (EventFunction)&Frames::col_27_4);
    test_collisions(enemyleft_136_instances, enemymobilebrohoriz_190_instances, 1, 1, (EventFunction)&Frames::col_36_4);
    test_collisions(tntstatic_104_instances, boxdestroyer_112_instances, 1, 16, (EventFunction)&Frames::col_16_4);
    test_collisions(sendup_129_instances, enemylaser_178_instances, 1, 16, (EventFunction)&Frames::col_38_4);
    test_collisions(objeyeblock_144_instances, enemylaser_178_instances, 4, 32, (EventFunction)&Frames::col_39_4);
    test_collisions(player_65_instances, enemybrokenrobot_168_instances, 4, 1, (EventFunction)&Frames::col_40_4);
    test_collisions(explosion_103_instances, objshootspawner_209_instances, 1, 2, (EventFunction)&Frames::col_19_4);
    test_collisions(bullet_94_instances, enemymobilebrohoriz_190_instances, 256, 2, (EventFunction)&Frames::col_42_4);
    test_collisions(enemyup_137_instances, enemymobilebrohoriz_190_instances, 1, 4, (EventFunction)&Frames::col_43_4);
    test_collisions(spikesbottom_146_instances, hurtbox_149_instances, 1, 512, (EventFunction)&Frames::col_26_4);
    test_collisions(sendup_129_instances, objlasergun_177_instances, 2, 2, (EventFunction)&Frames::col_45_4);
    test_collisions(bigexplosion_152_instances, objshootspawner_209_instances, 2, 4, (EventFunction)&Frames::col_46_4);
    test_collisions(bullet_94_instances, spikeshooter_122_instances, 512, 1, (EventFunction)&Frames::col_47_4);
    test_collisions(enemyfloater_140_instances, enemyzapball_161_instances, 8, 2, (EventFunction)&Frames::col_8_4);
    test_collisions(objeyeblock_144_instances, enemyzapball_161_instances, 8, 4, (EventFunction)&Frames::col_49_4);
    test_collisions(bullet_94_instances, objshootspawner_209_instances, 1024, 8, (EventFunction)&Frames::col_50_4);
    test_collisions(objeyeblock_144_instances, homept1_181_instances, 16, 2, (EventFunction)&Frames::col_51_4);
    test_collisions(player_65_instances, key_74_instances, 8, 1, (EventFunction)&Frames::col_52_4);
    test_collisions_save(enemyhoppy_127_instances, objeyeblock_144_instances, 4, 32, (EventFunction)&Frames::col_53_4);
    test_collisions(hurtbox_149_instances, enemydangerned_193_instances, 1024, 1, (EventFunction)&Frames::col_1_4);
    test_collisions(platform2_70_instances, boxdestroyer_112_instances, 1, 32, (EventFunction)&Frames::col_16_4);
    test_collisions(bullet_94_instances, sendleft_133_instances, 2048, 2, (EventFunction)&Frames::col_56_4);
    test_collisions(player_65_instances, ojbwings_175_instances, 16, 1, (EventFunction)&Frames::col_57_4);
    test_collisions(bullet_94_instances, enemyblobululephase1_187_instances, 4096, 2, (EventFunction)&Frames::col_58_4);
    test_collisions(enemylaser_178_instances, objshootspawner_209_instances, 64, 16, (EventFunction)&Frames::col_19_4);
    test_collisions(hurtbox_149_instances, enemyrockiship_203_instances, 2048, 2, (EventFunction)&Frames::col_60_4);
    test_collisions(player_65_instances, objectdashblockup_167_instances, 32, 1, (EventFunction)&Frames::col_61_4);
    test_collisions(active2_2_instances, objeyeblock_144_instances, 4, 64, (EventFunction)&Frames::col_62_4);
    test_collisions(objeyeblock_144_instances, homept2_182_instances, 128, 1, (EventFunction)&Frames::col_63_4);
    test_collisions(screen_123_instances, active10_14_instances, 8, 1, (EventFunction)&Frames::col_64_4);
    test_collisions(enemydown_135_instances, enemymobilebrohoriz_190_instances, 1, 8, (EventFunction)&Frames::col_65_4);
    test_collisions(player_65_instances, vertdetector_79_instances, 64, 1, (EventFunction)&Frames::col_66_4);
    test_collisions(boxdestroyer_112_instances, tntconveyor_114_instances, 64, 2, (EventFunction)&Frames::col_27_4);
    test_collisions(player_65_instances, springright_139_instances, 128, 1, (EventFunction)&Frames::col_15_4);
    test_collisions(explosion_103_instances, objeyeblock_144_instances, 2, 256, (EventFunction)&Frames::col_69_4);
    test_collisions(spikeshooter_122_instances, hurtbox_149_instances, 2, 4096, (EventFunction)&Frames::col_70_4);
    test_collisions(enemyflashbullet_143_instances, objeyeblock_144_instances, 2, 512, (EventFunction)&Frames::col_71_4);
    test_collisions_save(enemyblobululephase1_187_instances, enemyblobululephase1_187_instances, 4, 4, (EventFunction)&Frames::col_24_4);
    test_collisions(bullet_94_instances, enemydangerned_193_instances, 8192, 2, (EventFunction)&Frames::col_73_4);
    test_collisions(screen_123_instances, spawnerwalker_173_instances, 16, 1, (EventFunction)&Frames::col_74_4);
    test_collisions(bullet_94_instances, enemyatom_151_instances, 16384, 1, (EventFunction)&Frames::col_75_4);
    test_collisions(enemyright_134_instances, enemymobilebrohoriz_190_instances, 1, 16, (EventFunction)&Frames::col_76_4);
    test_collisions_save(objeyeblock_144_instances, enemywalker_172_instances, 1024, 8, (EventFunction)&Frames::col_77_4);
    test_collisions(bullet_94_instances, senddown_132_instances, 32768, 4, (EventFunction)&Frames::col_78_4);
    test_collisions(bullet_94_instances, tntstatic_104_instances, 65536, 2, (EventFunction)&Frames::col_79_4);
    test_collisions(enemyhoppy_127_instances, hurtbox_149_instances, 8, 8192, (EventFunction)&Frames::col_80_4);
    test_collisions(screen_123_instances, counterspawner_180_instances, 32, 1, (EventFunction)&Frames::col_81_4);
    test_collisions(sprite_71_instances, enemyflashbullet_143_instances, 2, 4, (EventFunction)&Frames::col_27_4);
    test_collisions(sendright_131_instances, objlasergun_177_instances, 1, 4, (EventFunction)&Frames::col_83_4);
    test_collisions(active2_2_instances, hurtbox_149_instances, 8, 16384, (EventFunction)&Frames::col_84_4);
    test_collisions(explosion_103_instances, tntstatic_104_instances, 4, 4, (EventFunction)&Frames::col_85_4);
    test_collisions(screen_123_instances, spawnerenemychomper_163_instances, 64, 1, (EventFunction)&Frames::col_86_4);
    test_collisions(hurtbox_149_instances, enemyatom_151_instances, 32768, 2, (EventFunction)&Frames::col_28_4);
    test_collisions(bullet_94_instances, enemybrokenrobot_168_instances, 131072, 2, (EventFunction)&Frames::col_88_4);
    test_collisions(bullet_94_instances, sendright_131_instances, 262144, 2, (EventFunction)&Frames::col_89_4);
    test_collisions(screen_123_instances, spawnerzappa_197_instances, 128, 1, (EventFunction)&Frames::col_90_4);
    test_collisions(hurtbox_149_instances, enemylaser_178_instances, 65536, 128, (EventFunction)&Frames::col_1_4);
    test_collisions(tntstatic_104_instances, enemyexplosion_154_instances, 8, 2, (EventFunction)&Frames::col_92_4);
    test_collisions(enemyfloater_140_instances, enemyflashbullet_143_instances, 16, 8, (EventFunction)&Frames::col_8_4);
    test_collisions(player_65_instances, hurter_105_instances, 256, 1, (EventFunction)&Frames::col_94_4);
    test_collisions(sprite_71_instances, spikesright_148_instances, 4, 1, (EventFunction)&Frames::col_26_4);
    test_collisions(screen_123_instances, spawnerbrokenrobot_169_instances, 256, 1, (EventFunction)&Frames::col_96_4);
    test_collisions(vertplatform_78_instances, boxdestroyer_112_instances, 1, 128, (EventFunction)&Frames::col_16_4);
    test_collisions(screen_123_instances, spawnerrockitship_204_instances, 512, 1, (EventFunction)&Frames::col_98_4);
    test_collisions(sprite_71_instances, enemygoo_189_instances, 8, 1, (EventFunction)&Frames::col_99_4);
    test_collisions_save(tntstatic_104_instances, tntconveyor_114_instances, 16, 4, (EventFunction)&Frames::col_100_4);
    test_collisions(enemymobilebrohoriz_190_instances, objenemybounce_191_instances, 32, 1, (EventFunction)&Frames::col_101_4);
    test_collisions(screen_123_instances, spawnerhoppy_126_instances, 1024, 1, (EventFunction)&Frames::col_102_4);
    test_collisions(enemypath_130_instances, hurtbox_149_instances, 1, 131072, (EventFunction)&Frames::col_103_4);
    test_collisions(detector_66_instances, objectdashblockleft_164_instances, 1, 1, (EventFunction)&Frames::col_104_4);
    test_collisions(sendright_131_instances, enemylaser_178_instances, 4, 256, (EventFunction)&Frames::col_105_4);
    test_collisions(bullet_94_instances, enemyblobululephase2_188_instances, 524288, 2, (EventFunction)&Frames::col_106_4);
    test_collisions(detector_66_instances, objectdashblockright_165_instances, 2, 1, (EventFunction)&Frames::col_107_4);
    test_collisions(screen_123_instances, active9_13_instances, 2048, 1, (EventFunction)&Frames::col_108_4);
    test_collisions(player_65_instances, helpdesk_87_instances, 512, 1, (EventFunction)&Frames::col_109_4);
    test_collisions(detector_66_instances, dissappear_128_instances, 4, 2, (EventFunction)&Frames::col_110_4);
    test_collisions(active2_2_instances, enemyfloater_140_instances, 16, 32, (EventFunction)&Frames::col_111_4);
    test_collisions(bullet_94_instances, sendup_129_instances, 1048576, 4, (EventFunction)&Frames::col_112_4);
    test_collisions(hurtbox_149_instances, enemymobilebrohoriz_190_instances, 262144, 64, (EventFunction)&Frames::col_25_4);
    test_collisions(detector_66_instances, spring_76_instances, 8, 1, (EventFunction)&Frames::col_114_4);
    test_collisions(detector_66_instances, objeyeblock_144_instances, 16, 2048, (EventFunction)&Frames::col_115_4);
    test_collisions(objeyeblock_144_instances, bigexplosion_152_instances, 4096, 4, (EventFunction)&Frames::col_22_4);
    test_collisions(hurtbox_149_instances, enemyexplosion_154_instances, 524288, 4, (EventFunction)&Frames::col_117_4);
    test_collisions_save(tntstatic_104_instances, tntstatic_104_instances, 32, 32, (EventFunction)&Frames::col_24_4);
    test_collisions(sendleft_133_instances, objlasergun_177_instances, 4, 8, (EventFunction)&Frames::col_119_4);
    test_collisions(enemyzapball_161_instances, objshootspawner_209_instances, 8, 32, (EventFunction)&Frames::col_46_4);
    test_collisions(sprite_71_instances, spikesleft_145_instances, 16, 1, (EventFunction)&Frames::col_121_4);
    test_collisions(vertdetector_79_instances, boxdestroyer_112_instances, 2, 256, (EventFunction)&Frames::col_122_4);
    test_collisions(bullet_94_instances, enemydroppo_198_instances, 2097152, 1, (EventFunction)&Frames::col_123_4);
    test_collisions(hurtbox_149_instances, homept2_182_instances, 1048576, 2, (EventFunction)&Frames::col_124_4);
    ObjectList::iterator it1, it2;
    for (it1 = enemyblobululephase1_187_instances.begin(); it1 != enemyblobululephase1_187_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_126_4();
    }
    for (it1 = tntstatic_104_instances.begin(); it1 != tntstatic_104_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_126_4();
    }
    for (it1 = enemyhoppy_127_instances.begin(); it1 != enemyhoppy_127_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_29_4();
    }
    for (it1 = objcheckpoint_205_instances.begin(); it1 != objcheckpoint_205_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_125_4();
    }
    for (it1 = tntconveyor_114_instances.begin(); it1 != tntconveyor_114_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_126_4();
    }
    for (it1 = enemywalker_172_instances.begin(); it1 != enemywalker_172_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_132_4();
    }
    for (it1 = dropposhot_199_instances.begin(); it1 != dropposhot_199_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_131_4();
    }
    for (it1 = enemyblobululephase2_188_instances.begin(); it1 != enemyblobululephase2_188_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background_save()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_130_4();
    }
    for (it1 = objcheckpointspawner_206_instances.begin(); it1 != objcheckpointspawner_206_instances.end(); ++it1) {
        col_instance_1 = it1->obj;
        if (!col_instance_1->overlaps_background()) {
            col_instance_1->flags &= ~REPEAT_BACK_COLLISION;
            continue;
        }
        if (col_instance_1->flags & REPEAT_BACK_COLLISION) continue;
        col_instance_1->flags |= REPEAT_BACK_COLLISION;
        col_133_4();
    }
}
void Frames::event_func_275()
{
    // event 1_4
    {
        // group: Moving Platforms
        movingplatform_69_instances.clear_selection();
        for (ObjectIterator it(movingplatform_69_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(0));
        }
    }
    event_1_4_end: ;
}
void Frames::event_func_276()
{
    // event 2_4
    {
        // group: Moving Platforms
        platform2_70_instances.clear_selection();
        movingplatform_69_instances.clear_selection();
        if (!check_overlap(platform2_70_instances, movingplatform_69_instances)) goto event_2_4_end;
        for (ObjectIterator it(platform2_70_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(movingplatform_69_instances, it.current_index));
            if (parent == NULL) goto pos_end_2_4_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_2_4_0: ;
        }
    }
    event_2_4_end: ;
}
void Frames::event_func_277()
{
    // event 3_4
    {
        // group: Moving Platforms
        movingplatform_69_instances.clear_selection();
        enemyleft_136_instances.clear_selection();
        if (!check_overlap(movingplatform_69_instances, enemyleft_136_instances)) goto event_3_4_end;
        for (ObjectIterator it(movingplatform_69_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, -2); // 'Moving Platform'
        }
    }
    event_3_4_end: ;
}
void Frames::event_func_278()
{
    // event 4_4
    {
        // group: Moving Platforms
        movingplatform_69_instances.clear_selection();
        enemyright_134_instances.clear_selection();
        if (!check_overlap(movingplatform_69_instances, enemyright_134_instances)) goto event_4_4_end;
        for (ObjectIterator it(movingplatform_69_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 2); // 'Moving Platform'
        }
    }
    event_4_4_end: ;
}
void Frames::event_func_279()
{
    // event 5_4
    {
        // group: Gravity/Jump
        if (is_player_pressed(1, CONTROL_BUTTON1)) goto event_5_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) < (0))) goto event_5_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, ((Active*)get_instance(player_65_instances))->alterables->values.get(0)+0.45); // 'Player'
    }
    event_5_4_end: ;
}
void Frames::event_func_280()
{
    // event 6_4
    {
        // group: Gravity/Jump
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) < (10))) goto event_6_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, ((Active*)get_instance(player_65_instances))->alterables->values.get(0)+0.45); // 'Player'
    }
    event_6_4_end: ;
}
void Frames::event_func_281()
{
    // event 7_4
    {
        // group: Gravity/Jump
        detector_66_instances.clear_selection();
        spring_76_instances.clear_selection();
        if (!check_overlap(detector_66_instances, spring_76_instances)) goto event_7_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) > (0))) goto event_7_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, -12); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(2, 1); // 'Player'
        for (ObjectIterator it(spring_76_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_7_4_end: ;
}
void Frames::event_func_282()
{
    // event 8_4
    {
        // group: Gravity/Jump
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) != (0))) goto event_8_4_end;
        {
            loop_gravity_running = true;
            int times = int(get_abs(((Active*)get_instance(player_65_instances))->alterables->values.get(0)));
            loop_gravity_index = 0;
            while (loop_gravity_index < times) {
                loop_gravity_4();
                if (!loop_gravity_running) break;
                loop_gravity_index++;
            }
        }
    }
    event_8_4_end: ;
}
void Frames::event_func_283()
{
    // event 9_4
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_9_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(2)) == (1))) goto event_9_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_9_4_end;
        if (!((global_values->get(1)) == (1))) goto event_9_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, -7); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_9_4_end: ;
}
void Frames::event_func_284()
{
    // event 10_4
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_10_4_end;
        if (!(((Active*)get_instance(detector_66_instances))->overlaps_background())) goto event_10_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_10_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_10_4_end: ;
}
void Frames::event_func_285()
{
    // event 11_4
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_11_4_end;
        detector_66_instances.clear_selection();
        platform_67_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform_67_instances)) goto event_11_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_11_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_11_4_end: ;
}
void Frames::event_func_286()
{
    // event 12_4
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_12_4_end;
        detector_66_instances.clear_selection();
        platform2_70_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform2_70_instances)) goto event_12_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_12_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_12_4_end: ;
}
void Frames::event_func_287()
{
    // event 13_4
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_13_4_end;
        detector_66_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntstatic_104_instances)) goto event_13_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_13_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_13_4_end: ;
}
void Frames::event_func_288()
{
    // event 14_4
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_14_4_end;
        detector_66_instances.clear_selection();
        tntconveyor_114_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_14_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_14_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_14_4_end: ;
}
void Frames::event_func_289()
{
    // event 23_4
    {
        // group: Horizontal
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_23_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (0))) goto event_23_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_23_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(1, -3); // 'Player'
    }
    event_23_4_end: ;
}
void Frames::event_func_290()
{
    // event 24_4
    {
        // group: Horizontal
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_24_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (0))) goto event_24_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_24_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(1, 3); // 'Player'
    }
    event_24_4_end: ;
}
void Frames::event_func_291()
{
    // event 25_4
    {
        // group: Horizontal
        if (is_player_pressed(1, CONTROL_LEFT)) goto event_25_4_end;
        if (is_player_pressed(1, CONTROL_RIGHT)) goto event_25_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(7)) == (0))) goto event_25_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (0))) goto event_25_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(1, 0); // 'Player'
    }
    event_25_4_end: ;
}
void Frames::event_func_292()
{
    // event 26_4
    {
        // group: Horizontal
        detector_66_instances.clear_selection();
        platform2_70_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform2_70_instances)) goto event_26_4_end;
        movingplatform_69_instances.clear_selection();
        if (!check_overlap(platform2_70_instances, movingplatform_69_instances)) goto event_26_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_26_4_end;
        if (((Active*)get_instance(detector_66_instances))->overlaps_background()) goto event_26_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.add(1, ((Active*)get_single(movingplatform_69_instances, default_active_instance))->alterables->values.get(0)); // 'Player'
    }
    event_26_4_end: ;
}
void Frames::event_func_293()
{
    // event 27_4
    {
        // group: Horizontal
        detector_66_instances.clear_selection();
        conveyorr_73_instances.clear_selection();
        if (!check_overlap(detector_66_instances, conveyorr_73_instances)) goto event_27_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_27_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.add(1, 2); // 'Player'
    }
    event_27_4_end: ;
}
void Frames::event_func_294()
{
    // event 28_4
    {
        // group: Horizontal
        detector_66_instances.clear_selection();
        conveyorl_72_instances.clear_selection();
        if (!check_overlap(detector_66_instances, conveyorl_72_instances)) goto event_28_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_28_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.sub(1, 2); // 'Player'
    }
    event_28_4_end: ;
}
void Frames::event_func_295()
{
    // event 29_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(1)) != (0))) goto event_29_4_end;
        {
            loop_horiz_running = true;
            int times = int(get_abs(((Active*)get_instance(player_65_instances))->alterables->values.get(1)));
            loop_horiz_index = 0;
            while (loop_horiz_index < times) {
                loop_horiz_4();
                if (!loop_horiz_running) break;
                loop_horiz_index++;
            }
        }
    }
    event_29_4_end: ;
}
void Frames::event_func_296()
{
    // event 34_4
    {
        // group: Horizontal
        if (!(is_player_pressed_once(1, CONTROL_BUTTON3))) goto event_34_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (0))) goto event_34_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(1))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_34_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_34_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 16); // 'Player'
    }
    event_34_4_end: ;
}
void Frames::event_func_297()
{
    // event 35_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) > (0))) goto event_35_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.sub(4, 1); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(1, 9); // 'Player'
    }
    event_35_4_end: ;
}
void Frames::event_func_298()
{
    // event 36_4
    {
        // group: Horizontal
        if (!(is_player_pressed_once(1, CONTROL_BUTTON3))) goto event_36_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (0))) goto event_36_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65536))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_36_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_36_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, -16); // 'Player'
    }
    event_36_4_end: ;
}
void Frames::event_func_299()
{
    // event 37_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) < (0))) goto event_37_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.sub(4, -1); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(1, -9); // 'Player'
    }
    event_37_4_end: ;
}
void Frames::event_func_300()
{
    // event 38_4
    {
        // group: Horizontal
        if (((Active*)get_instance(detector_66_instances))->overlaps_background()) goto event_38_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, dissappear_128_instances)) goto event_38_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_38_4_end;
        if (!check_not_overlap(detector_66_instances, movingplatform_69_instances)) goto event_38_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(18, 1); // 'Player'
    }
    event_38_4_end: ;
}
void Frames::event_func_301()
{
    // event 39_4
    {
        // group: Horizontal
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, objeyeblock_144_instances)) goto event_39_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(18, 1); // 'Player'
    }
    event_39_4_end: ;
}
void Frames::event_func_302()
{
    // event 40_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(18)) == (1))) goto event_40_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (1))) goto event_40_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.add(4, 1); // 'Player'
    }
    event_40_4_end: ;
}
void Frames::event_func_303()
{
    // event 41_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(18)) == (1))) goto event_41_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (-1))) goto event_41_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.add(4, -1); // 'Player'
    }
    event_41_4_end: ;
}
void Frames::event_func_304()
{
    // event 42_4
    bool or_result_42_4 = false;
    bool or_temp_result_42_4_0 = false;
    {
        // group: Horizontal
        detector_66_instances.clear_selection();
        for (ObjectIterator it(detector_66_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!detector_66_instances.has_selection()) goto or_event_42_4_0_end;
        or_result_42_4 = true;
        or_temp_result_42_4_0 = true;
    }
    or_event_42_4_0_end: ;
    detector_66_instances.clear_saved_selection();
    if (or_temp_result_42_4_0) {
        detector_66_instances.save_selection();
    }
    // event 42_4
    bool or_temp_result_42_4_1 = false;
    {
        // group: Horizontal
        detector_66_instances.clear_selection();
        movingplatform_69_instances.clear_selection();
        if (!check_overlap(detector_66_instances, movingplatform_69_instances)) goto or_event_42_4_1_end;
        or_result_42_4 = true;
        or_temp_result_42_4_1 = true;
    }
    or_event_42_4_1_end: ;
    movingplatform_69_instances.clear_saved_selection();
    if (or_temp_result_42_4_1) {
        movingplatform_69_instances.save_selection();
        detector_66_instances.save_selection();
    }
    // event 42_4
    bool or_temp_result_42_4_2 = false;
    {
        // group: Horizontal
        detector_66_instances.clear_selection();
        vertdetector_79_instances.clear_selection();
        if (!check_overlap(detector_66_instances, vertdetector_79_instances)) goto or_event_42_4_2_end;
        or_result_42_4 = true;
        or_temp_result_42_4_2 = true;
    }
    or_event_42_4_2_end: ;
    vertdetector_79_instances.clear_saved_selection();
    if (or_temp_result_42_4_2) {
        vertdetector_79_instances.save_selection();
        detector_66_instances.save_selection();
    }
    // event 42_4
    bool or_temp_result_42_4_3 = false;
    {
        // group: Horizontal
        detector_66_instances.clear_selection();
        dissappear_128_instances.clear_selection();
        if (!check_overlap(detector_66_instances, dissappear_128_instances)) goto or_event_42_4_3_end;
        or_result_42_4 = true;
        or_temp_result_42_4_3 = true;
    }
    or_event_42_4_3_end: ;
    dissappear_128_instances.clear_saved_selection();
    if (or_temp_result_42_4_3) {
        dissappear_128_instances.save_selection();
        detector_66_instances.save_selection();
    }
    // event 42_4
    bool or_temp_result_42_4_4 = false;
    {
        // group: Horizontal
        detector_66_instances.clear_selection();
        objeyeblock_144_instances.clear_selection();
        if (!check_overlap(detector_66_instances, objeyeblock_144_instances)) goto or_event_42_4_4_end;
        for (ObjectIterator it(objeyeblock_144_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_144_instances.has_selection()) goto or_event_42_4_4_end;
        or_result_42_4 = true;
        or_temp_result_42_4_4 = true;
        or_event_42_4_4_end: ;
        objeyeblock_144_instances.clear_saved_selection();
        if (or_temp_result_42_4_4) {
            objeyeblock_144_instances.save_selection();
            detector_66_instances.save_selection();
        }
        if (!or_result_42_4) goto or_final_or_event_42_4_4_end;
        detector_66_instances.empty_selection();
        dissappear_128_instances.empty_selection();
        objeyeblock_144_instances.empty_selection();
        vertdetector_79_instances.empty_selection();
        movingplatform_69_instances.empty_selection();
        if (or_temp_result_42_4_4) {
            objeyeblock_144_instances.restore_selection();
        }
        if (or_temp_result_42_4_1) {
            movingplatform_69_instances.restore_selection();
        }
        if (or_temp_result_42_4_3) {
            dissappear_128_instances.restore_selection();
        }
        if (or_temp_result_42_4_2) {
            vertdetector_79_instances.restore_selection();
        }
        if (or_temp_result_42_4_0 || or_temp_result_42_4_1 || or_temp_result_42_4_2 || or_temp_result_42_4_3 || or_temp_result_42_4_4) {
            detector_66_instances.restore_selection();
        }
        player_65_instances.clear_selection();
        for (ObjectIterator it(player_65_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(18, 0); // 'Player'
        }
    }
    or_final_or_event_42_4_4_end: ;
}
void Frames::event_func_305()
{
    // event 43_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) > (0))) goto event_43_4_end;
        if (!(is_player_pressed_once(1, CONTROL_LEFT))) goto event_43_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_43_4_end: ;
}
void Frames::event_func_306()
{
    // event 44_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) < (0))) goto event_44_4_end;
        if (!(is_player_pressed_once(1, CONTROL_RIGHT))) goto event_44_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_44_4_end: ;
}
void Frames::event_func_307()
{
    // event 46_4
    {
        // group: Horizontal
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_y()) != (((Active*)get_instance(player_65_instances))->get_y()+16))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_46_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(player_65_instances));
            if (parent == NULL) goto pos_end_46_4_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 16);
            pos_end_46_4_0: ;
        }
        {
            FrameObject * parent = ((Active*)get_instance(player_65_instances));
            if (parent == NULL) goto pos_end_46_4_1;
            ((Active*)get_instance(hurtbox_149_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_46_4_1: ;
        }
    }
    event_46_4_end: ;
}
void Frames::event_func_308()
{
    // event 47_4
    {
        // group: Horizontal
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) != (((Active*)get_instance(player_65_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_47_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(player_65_instances));
            if (parent == NULL) goto pos_end_47_4_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 16);
            pos_end_47_4_0: ;
        }
        {
            FrameObject * parent = ((Active*)get_instance(player_65_instances));
            if (parent == NULL) goto pos_end_47_4_1;
            ((Active*)get_instance(hurtbox_149_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_47_4_1: ;
        }
    }
    event_47_4_end: ;
}
void Frames::event_func_309()
{
    // event 48_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(18)) == (0))) goto event_48_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (2))) goto event_48_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.add(4, -1); // 'Player'
    }
    event_48_4_end: ;
}
void Frames::event_func_310()
{
    // event 49_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(18)) == (0))) goto event_49_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (-2))) goto event_49_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.add(4, 1); // 'Player'
    }
    event_49_4_end: ;
}
void Frames::event_func_311()
{
    // event 50_4
    {
        // group: Horizontal
        if (is_player_pressed(1, CONTROL_BUTTON3)) goto event_50_4_end;
        if (!((global_values->get(5)) == (1))) goto event_50_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_50_4_end: ;
}
void Frames::event_func_312()
{
    // event 52_4
    {
        // group: Animations
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_52_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_52_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
            ((Active*)*it)->alterables->values.set(0, 1); // 'Sprite'
        }
    }
    event_52_4_end: ;
}
void Frames::event_func_313()
{
    // event 53_4
    {
        // group: Animations
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_53_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_53_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
            ((Active*)*it)->alterables->values.set(0, -1); // 'Sprite'
        }
    }
    event_53_4_end: ;
}
void Frames::event_func_314()
{
    // event 54_4
    {
        // group: Animations
        if (is_player_pressed(1, CONTROL_RIGHT)) goto event_54_4_end;
        if (is_player_pressed(1, CONTROL_LEFT)) goto event_54_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'Sprite'
        }
    }
    event_54_4_end: ;
}
void Frames::event_func_315()
{
    // event 55_4
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_66_instances))->overlaps_background())) goto event_55_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_55_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_55_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(22)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_55_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_55_4_end: ;
}
void Frames::event_func_316()
{
    // event 56_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntstatic_104_instances)) goto event_56_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_56_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_56_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_56_4_end: ;
}
void Frames::event_func_317()
{
    // event 57_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        platform_67_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform_67_instances)) goto event_57_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_57_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_57_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_57_4_end: ;
}
void Frames::event_func_318()
{
    // event 58_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        platform2_70_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform2_70_instances)) goto event_58_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_58_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_58_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_58_4_end: ;
}
void Frames::event_func_319()
{
    // event 61_4
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_66_instances))->overlaps_background())) goto event_61_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_61_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_61_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_61_4_end: ;
}
void Frames::event_func_320()
{
    // event 62_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntstatic_104_instances)) goto event_62_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_62_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_62_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_62_4_end: ;
}
void Frames::event_func_321()
{
    // event 63_4
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_66_instances))->overlaps_background())) goto event_63_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_63_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_63_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_63_4_end: ;
}
void Frames::event_func_322()
{
    // event 64_4
    {
        // group: Animations
        player_65_instances.clear_selection();
        vertdetector_79_instances.clear_selection();
        if (!check_overlap(player_65_instances, vertdetector_79_instances)) goto event_64_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_64_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_64_4_end: ;
}
void Frames::event_func_323()
{
    // event 65_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        platform_67_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform_67_instances)) goto event_65_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_65_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_65_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_65_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_65_4_end: ;
}
void Frames::event_func_324()
{
    // event 66_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntstatic_104_instances)) goto event_66_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_66_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_66_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_66_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_66_4_end: ;
}
void Frames::event_func_325()
{
    // event 67_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        tntconveyor_114_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_67_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_67_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_67_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_67_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_67_4_end: ;
}
void Frames::event_func_326()
{
    // event 68_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        platform2_70_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform2_70_instances)) goto event_68_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_68_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_68_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_68_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_68_4_end: ;
}
void Frames::event_func_327()
{
    // event 69_4
    {
        // group: Animations
        if (((Active*)get_instance(detector_66_instances))->overlaps_background()) goto event_69_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, platform2_70_instances)) goto event_69_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) > (0))) goto event_69_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_69_4_end;
        player_65_instances.clear_selection();
        if (!check_not_overlap(player_65_instances, vertdetector_79_instances)) goto event_69_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_69_4_end;
        if (!check_not_overlap(detector_66_instances, dissappear_128_instances)) goto event_69_4_end;
        if (!check_not_overlap(detector_66_instances, objeyeblock_144_instances)) goto event_69_4_end;
        if (!check_not_overlap(detector_66_instances, platform_67_instances)) goto event_69_4_end;
        if (!check_not_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_69_4_end;
        if (!check_not_overlap(detector_66_instances, tntstatic_104_instances)) goto event_69_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(8);
        }
    }
    event_69_4_end: ;
}
void Frames::event_func_328()
{
    // event 70_4
    {
        // group: Animations
        if (((Active*)get_instance(detector_66_instances))->overlaps_background()) goto event_70_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, platform_67_instances)) goto event_70_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) <= (0))) goto event_70_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_70_4_end;
        player_65_instances.clear_selection();
        if (!check_not_overlap(player_65_instances, vertdetector_79_instances)) goto event_70_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_70_4_end;
        if (!check_not_overlap(detector_66_instances, dissappear_128_instances)) goto event_70_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_70_4_end;
        if (!check_not_overlap(detector_66_instances, objeyeblock_144_instances)) goto event_70_4_end;
        if (!check_not_overlap(detector_66_instances, platform2_70_instances)) goto event_70_4_end;
        if (!check_not_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_70_4_end;
        if (!check_not_overlap(detector_66_instances, tntstatic_104_instances)) goto event_70_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(7);
        }
    }
    event_70_4_end: ;
}
void Frames::event_func_329()
{
    // event 71_4
    {
        // group: Animations
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_71_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_71_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) == (0))) goto event_71_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_71_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_71_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
        }
    }
    event_71_4_end: ;
}
void Frames::event_func_330()
{
    // event 72_4
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_66_instances))->overlaps_background())) goto event_72_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_72_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_72_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_72_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_72_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_72_4_end: ;
}
void Frames::event_func_331()
{
    // event 73_4
    {
        // group: Animations
        platform_67_instances.clear_selection();
        if (!check_overlap(platform_67_instances, platform_67_instances)) goto event_73_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_73_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_73_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_73_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_73_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_73_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_73_4_end: ;
}
void Frames::event_func_332()
{
    // event 74_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        platform2_70_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform2_70_instances)) goto event_74_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_74_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_74_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_74_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_74_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_74_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_74_4_end: ;
}
void Frames::event_func_333()
{
    // event 75_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntstatic_104_instances)) goto event_75_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_75_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_75_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_75_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_75_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_75_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_75_4_end: ;
}
void Frames::event_func_334()
{
    // event 76_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        tntconveyor_114_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_76_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_76_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_76_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_76_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_76_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_76_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_76_4_end: ;
}
void Frames::event_func_335()
{
    // event 77_4
    {
        // group: Animations
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_77_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(2, 1); // 'Sprite'
        }
    }
    event_77_4_end: ;
}
void Frames::event_func_336()
{
    // event 78_4
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_66_instances))->overlaps_background())) goto event_78_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_78_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_78_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_78_4_end: ;
}
void Frames::event_func_337()
{
    // event 79_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        platform_67_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform_67_instances)) goto event_79_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_79_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_79_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_79_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_79_4_end: ;
}
void Frames::event_func_338()
{
    // event 80_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        platform2_70_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform2_70_instances)) goto event_80_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_80_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_80_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_80_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_80_4_end: ;
}
void Frames::event_func_339()
{
    // event 81_4
    {
        // group: Animations
        if (((Active*)get_instance(detector_66_instances))->overlaps_background()) goto event_81_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, platform_67_instances)) goto event_81_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) > (0))) goto event_81_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_81_4_end;
        if (!check_not_overlap(detector_66_instances, dissappear_128_instances)) goto event_81_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_81_4_end;
        if (!check_not_overlap(detector_66_instances, objeyeblock_144_instances)) goto event_81_4_end;
        if (!check_not_overlap(detector_66_instances, platform2_70_instances)) goto event_81_4_end;
        if (!check_not_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_81_4_end;
        if (!check_not_overlap(detector_66_instances, tntstatic_104_instances)) goto event_81_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(18);
        }
    }
    event_81_4_end: ;
}
void Frames::event_func_340()
{
    // event 82_4
    {
        // group: Animations
        if (((Active*)get_instance(detector_66_instances))->overlaps_background()) goto event_82_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, platform_67_instances)) goto event_82_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) <= (0))) goto event_82_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_82_4_end;
        if (!check_not_overlap(detector_66_instances, dissappear_128_instances)) goto event_82_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_82_4_end;
        if (!check_not_overlap(detector_66_instances, objeyeblock_144_instances)) goto event_82_4_end;
        if (!check_not_overlap(detector_66_instances, platform2_70_instances)) goto event_82_4_end;
        if (!check_not_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_82_4_end;
        if (!check_not_overlap(detector_66_instances, tntstatic_104_instances)) goto event_82_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_82_4_end: ;
}
void Frames::event_func_341()
{
    // event 83_4
    {
        // group: Animations
        if (((Active*)get_instance(detector_66_instances))->overlaps_background()) goto event_83_4_end;
        detector_66_instances.clear_selection();
        if (!check_not_overlap(detector_66_instances, platform_67_instances)) goto event_83_4_end;
        if (!check_not_overlap(detector_66_instances, dissappear_128_instances)) goto event_83_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) > (0))) goto event_83_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_83_4_end;
        player_65_instances.clear_selection();
        if (!check_not_overlap(player_65_instances, vertdetector_79_instances)) goto event_83_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_83_4_end;
        if (!check_not_overlap(detector_66_instances, vertdetector_79_instances)) goto event_83_4_end;
        if (!check_not_overlap(detector_66_instances, objeyeblock_144_instances)) goto event_83_4_end;
        if (!check_not_overlap(detector_66_instances, platform2_70_instances)) goto event_83_4_end;
        if (!check_not_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_83_4_end;
        if (!check_not_overlap(detector_66_instances, tntstatic_104_instances)) goto event_83_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(8);
        }
    }
    event_83_4_end: ;
}
void Frames::event_func_342()
{
    // event 85_4
    {
        // group: Animations
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_85_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
        }
    }
    event_85_4_end: ;
}
void Frames::event_func_343()
{
    // event 86_4
    {
        // group: Animations
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) != (0))) goto event_86_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_86_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(19);
        }
    }
    event_86_4_end: ;
}
void Frames::event_func_344()
{
    // event 87_4
    {
        // group: Animations
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) != (0))) goto event_87_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) != (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_87_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(20);
        }
    }
    event_87_4_end: ;
}
void Frames::event_func_345()
{
    // event 88_4
    {
        // group: Animations
        player_65_instances.clear_selection();
        vertdetector_79_instances.clear_selection();
        if (!check_overlap(player_65_instances, vertdetector_79_instances)) goto event_88_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_88_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_88_4_end: ;
}
void Frames::event_func_346()
{
    // event 89_4
    {
        // group: Animations
        player_65_instances.clear_selection();
        vertdetector_79_instances.clear_selection();
        if (!check_overlap(player_65_instances, vertdetector_79_instances)) goto event_89_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_89_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_89_4_end: ;
}
void Frames::event_func_347()
{
    // event 90_4
    {
        // group: Animations
        player_65_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(player_65_instances, tntstatic_104_instances)) goto event_90_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_90_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_90_4_end: ;
}
void Frames::event_func_348()
{
    // event 91_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        platform_67_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform_67_instances)) goto event_91_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_91_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) <= (0))) goto event_91_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_91_4_end: ;
}
void Frames::event_func_349()
{
    // event 92_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        platform2_70_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform2_70_instances)) goto event_92_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_92_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) <= (0))) goto event_92_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_92_4_end: ;
}
void Frames::event_func_350()
{
    // event 93_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntstatic_104_instances)) goto event_93_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_93_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) <= (0))) goto event_93_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_93_4_end: ;
}
void Frames::event_func_351()
{
    // event 94_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        tntconveyor_114_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_94_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_94_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) <= (0))) goto event_94_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_94_4_end: ;
}
void Frames::event_func_352()
{
    // event 95_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        platform_67_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform_67_instances)) goto event_95_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_95_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) <= (0))) goto event_95_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_95_4_end: ;
}
void Frames::event_func_353()
{
    // event 96_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        platform2_70_instances.clear_selection();
        if (!check_overlap(detector_66_instances, platform2_70_instances)) goto event_96_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_96_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) <= (0))) goto event_96_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_96_4_end: ;
}
void Frames::event_func_354()
{
    // event 97_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntstatic_104_instances)) goto event_97_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_97_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) <= (0))) goto event_97_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_97_4_end: ;
}
void Frames::event_func_355()
{
    // event 98_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        tntconveyor_114_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_98_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_98_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) <= (0))) goto event_98_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_98_4_end: ;
}
void Frames::event_func_356()
{
    // event 99_4
    {
        // group: Animations
        detector_66_instances.clear_selection();
        vertdetector_79_instances.clear_selection();
        if (!check_overlap(detector_66_instances, vertdetector_79_instances)) goto event_99_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_99_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_99_4_end: ;
}
void Frames::event_func_357()
{
    // event 100_4
    {
        // group: Keys and Doors
        key_74_instances.clear_selection();
        player_65_instances.clear_selection();
        if (!check_overlap(key_74_instances, player_65_instances)) goto event_100_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.add(3, 1); // 'Player'
        for (ObjectIterator it(key_74_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_100_4_end: ;
}
void Frames::event_func_358()
{
    // event 101_4
    {
        // group: Scrolling
        scroller_108_instances.clear_selection();
        if (!check_not_overlap(scroller_108_instances, xonlyscroll_106_instances)) goto event_101_4_end;
        if (!check_not_overlap(scroller_108_instances, yonlyscroll_107_instances)) goto event_101_4_end;
        if (!check_not_overlap(scroller_108_instances, lockxy_110_instances)) goto event_101_4_end;
        ((Active*)get_instance(camera_21_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x());
        ((Active*)get_instance(camera_21_instances))->set_y(((Active*)get_instance(player_65_instances))->get_y());
    }
    event_101_4_end: ;
}
void Frames::event_func_359()
{
    // event 102_4
    {
        // group: Scrolling
        scroller_108_instances.clear_selection();
        yonlyscroll_107_instances.clear_selection();
        if (!check_overlap(scroller_108_instances, yonlyscroll_107_instances)) goto event_102_4_end;
        ((Active*)get_instance(camera_21_instances))->set_x(((Active*)get_single(yonlyscroll_107_instances, default_active_instance))->get_x()+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(3));
        ((Active*)get_instance(camera_21_instances))->set_y(((Active*)get_instance(player_65_instances))->get_y()+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(4));
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.set(2, 100); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->set_y(((Active*)get_instance(player_65_instances))->get_y()+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(4));
    }
    event_102_4_end: ;
}
void Frames::event_func_360()
{
    // event 103_4
    {
        // group: Scrolling
        scroller_108_instances.clear_selection();
        xonlyscroll_106_instances.clear_selection();
        if (!check_overlap(scroller_108_instances, xonlyscroll_106_instances)) goto event_103_4_end;
        ((Active*)get_instance(camera_21_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(3));
        ((Active*)get_instance(camera_21_instances))->set_y(((Active*)get_single(xonlyscroll_106_instances, default_active_instance))->get_y()+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(4));
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.set(2, 100); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(3));
    }
    event_103_4_end: ;
}
void Frames::event_func_361()
{
    // event 104_4
    {
        // group: Scrolling
        scroller_108_instances.clear_selection();
        lockxy_110_instances.clear_selection();
        if (!check_overlap(scroller_108_instances, lockxy_110_instances)) goto event_104_4_end;
        ((Active*)get_instance(camera_21_instances))->set_x(((Active*)get_single(lockxy_110_instances, default_active_instance))->get_x()+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(3));
        ((Active*)get_instance(camera_21_instances))->set_y(((Active*)get_single(lockxy_110_instances, default_active_instance))->get_y()+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(4));
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.set(2, 100); // 'camera chaser'
    }
    event_104_4_end: ;
}
void Frames::event_func_362()
{
    // event 105_4
    {
        // group: Scrolling
        ((Active*)get_instance(scroller_108_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x());
        ((Active*)get_instance(scroller_108_instances))->set_y(((Active*)get_instance(player_65_instances))->get_y());
    }
    event_105_4_end: ;
}
void Frames::event_func_363()
{
    // event 106_4
    {
        // group: Scrolling
        camera_21_instances.clear_selection();
        if (!check_not_overlap(camera_21_instances, xonlyscroll_106_instances)) goto event_106_4_end;
        if (!check_not_overlap(camera_21_instances, yonlyscroll_107_instances)) goto event_106_4_end;
        if (!check_not_overlap(camera_21_instances, lockxy_110_instances)) goto event_106_4_end;
        if (!((((Active*)get_instance(camera_21_instances))->get_x()) > (((Active*)get_instance(camerachaser_22_instances))->get_x()))) goto event_106_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->set_x(((Active*)get_instance(camerachaser_22_instances))->get_x()-get_floor(((((Active*)get_instance(camerachaser_22_instances))->get_x()-((Active*)get_instance(camera_21_instances))->get_x())*0.12))+(((Active*)get_instance(player_65_instances))->alterables->values.get(1)*0.75)+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(3));
    }
    event_106_4_end: ;
}
void Frames::event_func_364()
{
    // event 107_4
    {
        // group: Scrolling
        camera_21_instances.clear_selection();
        if (!check_not_overlap(camera_21_instances, xonlyscroll_106_instances)) goto event_107_4_end;
        if (!check_not_overlap(camera_21_instances, yonlyscroll_107_instances)) goto event_107_4_end;
        if (!check_not_overlap(camera_21_instances, lockxy_110_instances)) goto event_107_4_end;
        if (!((((Active*)get_instance(camera_21_instances))->get_x()) < (((Active*)get_instance(camerachaser_22_instances))->get_x()))) goto event_107_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->set_x(((Active*)get_instance(camerachaser_22_instances))->get_x()-get_ceil(((((Active*)get_instance(camerachaser_22_instances))->get_x()-((Active*)get_instance(camera_21_instances))->get_x())*0.12))+((((Active*)get_instance(player_65_instances))->alterables->values.get(1)*0.75))+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(3));
    }
    event_107_4_end: ;
}
void Frames::event_func_365()
{
    // event 108_4
    {
        // group: Scrolling
        camera_21_instances.clear_selection();
        if (!check_not_overlap(camera_21_instances, yonlyscroll_107_instances)) goto event_108_4_end;
        if (!check_not_overlap(camera_21_instances, xonlyscroll_106_instances)) goto event_108_4_end;
        if (!check_not_overlap(camera_21_instances, lockxy_110_instances)) goto event_108_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->set_y(((Active*)get_instance(camerachaser_22_instances))->get_y()-((((Active*)get_instance(camerachaser_22_instances))->get_y()-((Active*)get_instance(camera_21_instances))->get_y())*0.12)+((Active*)get_instance(player_65_instances))->alterables->values.get(0)+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(4));
    }
    event_108_4_end: ;
}
void Frames::event_func_366()
{
    // event 109_4
    {
        // group: Scrolling
        camera_21_instances.clear_selection();
        yonlyscroll_107_instances.clear_selection();
        if (!check_overlap(camera_21_instances, yonlyscroll_107_instances)) goto event_109_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->set_x(((Active*)get_instance(camerachaser_22_instances))->get_x()-((((Active*)get_instance(camerachaser_22_instances))->get_x()-((Active*)get_instance(camera_21_instances))->get_x())*0.12)+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(3));
    }
    event_109_4_end: ;
}
void Frames::event_func_367()
{
    // event 110_4
    {
        // group: Scrolling
        camera_21_instances.clear_selection();
        yonlyscroll_107_instances.clear_selection();
        if (!check_overlap(camera_21_instances, yonlyscroll_107_instances)) goto event_110_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->set_y(((Active*)get_instance(camerachaser_22_instances))->get_y()-((((Active*)get_instance(camerachaser_22_instances))->get_y()-((Active*)get_instance(camera_21_instances))->get_y())*0.12)+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(4));
    }
    event_110_4_end: ;
}
void Frames::event_func_368()
{
    // event 111_4
    {
        // group: Scrolling
        camera_21_instances.clear_selection();
        xonlyscroll_106_instances.clear_selection();
        if (!check_overlap(camera_21_instances, xonlyscroll_106_instances)) goto event_111_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->set_x(((Active*)get_instance(camerachaser_22_instances))->get_x()-((((Active*)get_instance(camerachaser_22_instances))->get_x()-((Active*)get_instance(camera_21_instances))->get_x())*0.12)+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(3)+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(3));
    }
    event_111_4_end: ;
}
void Frames::event_func_369()
{
    // event 112_4
    {
        // group: Scrolling
        camera_21_instances.clear_selection();
        xonlyscroll_106_instances.clear_selection();
        if (!check_overlap(camera_21_instances, xonlyscroll_106_instances)) goto event_112_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->set_y(((Active*)get_instance(camerachaser_22_instances))->get_y()-((((Active*)get_instance(camerachaser_22_instances))->get_y()-((Active*)get_instance(camera_21_instances))->get_y())*0.12)+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(4));
    }
    event_112_4_end: ;
}
