#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_370()
{
    // event 113_4
    {
        // group: Scrolling
        camera_21_instances.clear_selection();
        lockxy_110_instances.clear_selection();
        if (!check_overlap(camera_21_instances, lockxy_110_instances)) goto event_113_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->set_x(((Active*)get_instance(camerachaser_22_instances))->get_x()-((((Active*)get_instance(camerachaser_22_instances))->get_x()-((Active*)get_instance(camera_21_instances))->get_x())*0.12)+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(3));
    }
    event_113_4_end: ;
}
void Frames::event_func_371()
{
    // event 114_4
    {
        // group: Scrolling
        camera_21_instances.clear_selection();
        lockxy_110_instances.clear_selection();
        if (!check_overlap(camera_21_instances, lockxy_110_instances)) goto event_114_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->set_y(((Active*)get_instance(camerachaser_22_instances))->get_y()-((((Active*)get_instance(camerachaser_22_instances))->get_y()-((Active*)get_instance(camera_21_instances))->get_y())*0.12)+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(4));
    }
    event_114_4_end: ;
}
void Frames::event_func_372()
{
    // event 115_4
    {
        // group: Scrolling
        ((Active*)get_instance(camerachaser_22_instances))->set_y(((Active*)get_instance(camerachaser_22_instances))->get_y()-(((((Active*)get_instance(camerachaser_22_instances))->get_y()-((Active*)get_instance(camera_21_instances))->get_y())*0.12))+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(4));
    }
    event_115_4_end: ;
}
void Frames::event_func_373()
{
    // event 116_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(2)) > (65))) goto event_116_4_end;
        {
            FrameObject * parent = ((Active*)get_instance(camerachaser_22_instances));
            set_display_center(parent->get_x() + 0, parent->get_y() + 0);
        }
    }
    event_116_4_end: ;
}
void Frames::event_func_374()
{
    // event 117_4
    {
        // group: Scrolling
        scroller_108_instances.clear_selection();
        if (!check_not_overlap(scroller_108_instances, xonlyscroll_106_instances)) goto event_117_4_end;
        if (!check_not_overlap(scroller_108_instances, yonlyscroll_107_instances)) goto event_117_4_end;
        if (!check_not_overlap(scroller_108_instances, lockxy_110_instances)) goto event_117_4_end;
        if (!((((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(2)) <= (65))) goto event_117_4_end;
        ((Active*)get_instance(camera_21_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(3));
        ((Active*)get_instance(camera_21_instances))->set_y(((Active*)get_instance(player_65_instances))->get_y()+((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(4));
        {
            FrameObject * parent = ((Active*)get_instance(camera_21_instances));
            set_display_center(parent->get_x() + 0, parent->get_y() + 0);
        }
    }
    event_117_4_end: ;
}
void Frames::event_func_375()
{
    // event 118_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(2)) > (0))) goto event_118_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.sub(2, 1); // 'camera chaser'
    }
    event_118_4_end: ;
}
void Frames::event_func_376()
{
    // event 119_4
    {
        // group: Scrolling
        if (!(is_key_pressed_once(SDLK_s))) goto event_119_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.set(5, 12); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.set(6, 12); // 'camera chaser'
    }
    event_119_4_end: ;
}
void Frames::event_func_377()
{
    // event 120_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(5)) > (0))) goto event_120_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.sub(5, ((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(7)*1.0); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.set(3, (randrange_event(((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(5))*2)-((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(5)); // 'camera chaser'
    }
    event_120_4_end: ;
}
void Frames::event_func_378()
{
    // event 121_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(6)) > (0))) goto event_121_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.sub(6, ((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(7)*1.0); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.set(4, (randrange_event(((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(6))*2)-((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(6)); // 'camera chaser'
    }
    event_121_4_end: ;
}
void Frames::event_func_379()
{
    // event 122_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(6)) > (15))) goto event_122_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.sub(6, 1); // 'camera chaser'
    }
    event_122_4_end: ;
}
void Frames::event_func_380()
{
    // event 123_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(5)) > (15))) goto event_123_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.sub(5, 1); // 'camera chaser'
    }
    event_123_4_end: ;
}
void Frames::event_func_381()
{
    // event 124_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(6)) > (20))) goto event_124_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.sub(6, 1); // 'camera chaser'
    }
    event_124_4_end: ;
}
void Frames::event_func_382()
{
    // event 125_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerachaser_22_instances))->alterables->values.get(5)) > (20))) goto event_125_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.sub(5, 1); // 'camera chaser'
    }
    event_125_4_end: ;
}
void Frames::event_func_383()
{
    // event 126_4
    {
        // group: Scrolling
        if (!((global_values->get(11)) == (0))) goto event_126_4_end;
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.set(3, 0); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.set(4, 0); // 'camera chaser'
    }
    event_126_4_end: ;
}
void Frames::event_func_384()
{
    // event 127_4
    {
        // group: Vert Platforms
        vertdetector_79_instances.clear_selection();
        vertplatform_78_instances.clear_selection();
        if (!check_overlap(vertdetector_79_instances, vertplatform_78_instances)) goto event_127_4_end;
        for (ObjectIterator it(vertplatform_78_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(vertdetector_79_instances, it.current_index));
            if (parent == NULL) goto pos_end_127_4_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 1);
            pos_end_127_4_0: ;
        }
    }
    event_127_4_end: ;
}
void Frames::event_func_385()
{
    // event 128_4
    {
        // group: Vert Platforms
        vertdetector_79_instances.clear_selection();
        for (ObjectIterator it(vertdetector_79_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(0));
        }
    }
    event_128_4_end: ;
}
void Frames::event_func_386()
{
    // event 130_4
    {
        // group: Vert Platforms
        vertdetector_79_instances.clear_selection();
        objliftreverse_155_instances.clear_selection();
        if (!check_overlap(vertdetector_79_instances, objliftreverse_155_instances)) goto event_130_4_end;
        for (ObjectIterator it(vertdetector_79_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (2))) { it.deselect(); continue; }
        }
        if (!vertdetector_79_instances.has_selection()) goto event_130_4_end;
        for (ObjectIterator it(vertdetector_79_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->alterables->values.set(0, -2); // 'Vert Detector'
        }
    }
    event_130_4_end: ;
}
void Frames::event_func_387()
{
    // event 131_4
    {
        // group: Vert Platforms
        vertdetector_79_instances.clear_selection();
        objliftreverse_155_instances.clear_selection();
        if (!check_overlap(vertdetector_79_instances, objliftreverse_155_instances)) goto event_131_4_end;
        for (ObjectIterator it(vertdetector_79_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (-2))) { it.deselect(); continue; }
        }
        if (!vertdetector_79_instances.has_selection()) goto event_131_4_end;
        for (ObjectIterator it(vertdetector_79_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->alterables->values.set(0, 2); // 'Vert Detector'
        }
    }
    event_131_4_end: ;
}
void Frames::event_func_388()
{
    // event 132_4
    {
        // group: Vert Platforms
        vertdetector_79_instances.clear_selection();
        enemydown_135_instances.clear_selection();
        if (!check_overlap(vertdetector_79_instances, enemydown_135_instances)) goto event_132_4_end;
        for (ObjectIterator it(vertdetector_79_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 2); // 'Vert Detector'
        }
    }
    event_132_4_end: ;
}
void Frames::event_func_389()
{
    // event 133_4
    {
        // group: Vert Platforms
        vertdetector_79_instances.clear_selection();
        enemyup_137_instances.clear_selection();
        if (!check_overlap(vertdetector_79_instances, enemyup_137_instances)) goto event_133_4_end;
        for (ObjectIterator it(vertdetector_79_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, -2); // 'Vert Detector'
        }
    }
    event_133_4_end: ;
}
void Frames::event_func_390()
{
    // event 136_4
    {
        // group: Vert Platforms
        vertdetector_79_instances.clear_selection();
        player_65_instances.clear_selection();
        if (!check_overlap(vertdetector_79_instances, player_65_instances)) goto event_136_4_end;
        for (ObjectIterator it(vertdetector_79_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) < (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_79_instances.has_selection()) goto event_136_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(6)) == (0))) goto event_136_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_136_4_end;
        ((Active*)get_instance(player_65_instances))->set_y(((Active*)get_single(vertdetector_79_instances, default_active_instance))->get_y()-15);
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        ((Active*)get_instance(player_65_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_136_4_end: ;
}
void Frames::event_func_391()
{
    // event 137_4
    {
        // group: Vert Platforms
        vertdetector_79_instances.clear_selection();
        player_65_instances.clear_selection();
        if (!check_overlap(vertdetector_79_instances, player_65_instances)) goto event_137_4_end;
        for (ObjectIterator it(vertdetector_79_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_79_instances.has_selection()) goto event_137_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(6)) == (0))) goto event_137_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_137_4_end;
        ((Active*)get_instance(player_65_instances))->set_y(((Active*)get_single(vertdetector_79_instances, default_active_instance))->get_y()-15);
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, 0); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_137_4_end: ;
}
void Frames::event_func_392()
{
    // event 139_4
    {
        // group: Vert Platforms
        player_65_instances.clear_selection();
        vertdetector_79_instances.clear_selection();
        if (!check_overlap(player_65_instances, vertdetector_79_instances)) goto event_139_4_end;
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_139_4_end;
        for (ObjectIterator it(vertdetector_79_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_79_instances.has_selection()) goto event_139_4_end;
        ((Active*)get_instance(player_65_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()+3);
    }
    event_139_4_end: ;
}
void Frames::event_func_393()
{
    // event 140_4
    {
        // group: Vert Platforms
        player_65_instances.clear_selection();
        vertdetector_79_instances.clear_selection();
        if (!check_overlap(player_65_instances, vertdetector_79_instances)) goto event_140_4_end;
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_140_4_end;
        for (ObjectIterator it(vertdetector_79_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_79_instances.has_selection()) goto event_140_4_end;
        ((Active*)get_instance(player_65_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()-3);
    }
    event_140_4_end: ;
}
void Frames::event_func_394()
{
    // event 141_4
    {
        // group: Vert Platforms
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_141_4_end;
        player_65_instances.clear_selection();
        vertdetector_79_instances.clear_selection();
        if (!check_overlap(player_65_instances, vertdetector_79_instances)) goto event_141_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(2, 1); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(6, 1); // 'Player'
        ((Active*)get_instance(player_65_instances))->set_y(((Active*)get_instance(sprite_71_instances, default_active_instance))->get_y()-20);
    }
    event_141_4_end: ;
}
void Frames::event_func_395()
{
    // event 142_4
    {
        // group: Vert Platforms
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) > (0))) goto event_142_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(6, 0); // 'Player'
    }
    event_142_4_end: ;
}
void Frames::event_func_396()
{
    // event 143_4
    {
        // group: Vert Platforms
        player_65_instances.clear_selection();
        vertplatform_78_instances.clear_selection();
        if (!check_overlap(player_65_instances, vertplatform_78_instances)) goto event_143_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) < (0))) goto event_143_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, 2); // 'Player'
        ((Active*)get_instance(player_65_instances))->set_y(((Active*)get_instance(player_65_instances))->get_y()+3);
    }
    event_143_4_end: ;
}
void Frames::event_func_397()
{
    // event 144_4
    {
        // group: Fans
        player_65_instances.clear_selection();
        objfan_98_instances.clear_selection();
        if (!check_overlap(player_65_instances, objfan_98_instances)) goto event_144_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.sub(0, 1); // 'Player'
    }
    event_144_4_end: ;
}
void Frames::event_func_398()
{
    // event 145_4
    {
        // group: Fans
        player_65_instances.clear_selection();
        objfan_98_instances.clear_selection();
        if (!check_overlap(player_65_instances, objfan_98_instances)) goto event_145_4_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto event_145_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.add(0, 0.45); // 'Player'
    }
    event_145_4_end: ;
}
void Frames::event_func_399()
{
    // event 150_4
    {
        // group: Story events
        if (!(((Active*)get_instance(inputcoordinatorsecretary_89_instances))->animation_finished == 1)) goto event_150_4_end;
        trapdoor_88_instances.clear_selection();
        for (ObjectIterator it(trapdoor_88_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(inputcoordinatorsecretary_89_instances))->alterables->values.set(0, 1); // 'input co-ordinator (secretary)'
    }
    event_150_4_end: ;
}
void Frames::event_func_400()
{
    // event 151_4
    {
        // group: Story events
        player_65_instances.clear_selection();
        lgflattener_92_instances.clear_selection();
        if (!check_overlap(player_65_instances, lgflattener_92_instances)) goto event_151_4_end;
        for (ObjectIterator it(lgflattener_92_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->set_visible(false);
        }
        FrameObject * single_instance_151_4_0; single_instance_151_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(lgflattener_92_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active13_93(parent->x + 0, parent->y + -28), parent->layer);
                if (single_instance_151_4_0 == NULL)
                    single_instance_151_4_0 = new_obj;
            }
        }
    }
    event_151_4_end: ;
}
void Frames::event_func_401()
{
    // event 152_4
    {
        // group: Story events
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_152_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
        manager.ignore_controls = false;
    }
    event_152_4_end: ;
}
void Frames::event_func_402()
{
    // event 153_4
    {
        // group: Story events
        if (!(((Active*)get_instance(inputcoordinatorsecretary_89_instances))->test_animation(1))) goto event_153_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_153_4_end: ;
}
void Frames::event_func_403()
{
    // event 155_4
    {
        // group: Story events
        active13_18_instances.clear_selection();
        for (ObjectIterator it(active13_18_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!active13_18_instances.has_selection()) goto event_155_4_end;
        for (ObjectIterator it(active13_18_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        manager.ignore_controls = false;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->set_visible(true);
        }
    }
    event_155_4_end: ;
}
void Frames::event_func_404()
{
    // event 156_4
    {
        // group: Story events
        player_65_instances.clear_selection();
        obscuretastictiles_90_instances.clear_selection();
        if (!check_overlap(player_65_instances, obscuretastictiles_90_instances)) goto event_156_4_end;
        ((Active*)get_instance(obscuretastictiles_90_instances))->move_front();
    }
    event_156_4_end: ;
}
void Frames::event_func_405()
{
    // event 157_4
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_157_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(5)) == (0))) goto event_157_4_end;
        if (!((bullet_94_instances.size()) < (3))) goto event_157_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_157_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (0))) goto event_157_4_end;
        FrameObject * single_instance_157_4_0; single_instance_157_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_65_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_94(parent->x + 11, parent->y + -4), parent->layer);
                if (single_instance_157_4_0 == NULL)
                    single_instance_157_4_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_157_4_0))->alterables->values.set(0, 7*((Active*)get_instance(player_65_instances))->alterables->values.get(13)); // 'Bullet'
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_157_4_0))->alterables->values.set(3, 1); // 'Bullet'
        ((Active*)((Active*)single_instance_157_4_0))->alterables->values.set(5, ((Active*)get_instance(player_65_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_157_4_0))->alterables->values.set(4, ((Active*)get_instance(player_65_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_157_4_0))->force_animation(((Active*)get_instance(player_65_instances))->alterables->values.get(14));
    }
    event_157_4_end: ;
}
void Frames::event_func_406()
{
    // event 158_4
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_158_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(5)) == (1))) goto event_158_4_end;
        if (!((bullet_94_instances.size()) < (3))) goto event_158_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_158_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (0))) goto event_158_4_end;
        FrameObject * single_instance_158_4_0; single_instance_158_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_65_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_94(parent->x + -11, parent->y + -4), parent->layer);
                if (single_instance_158_4_0 == NULL)
                    single_instance_158_4_0 = new_obj;
            }
        }
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_158_4_0))->alterables->values.set(0, 7*((Active*)get_instance(player_65_instances))->alterables->values.get(13)); // 'Bullet'
        ((Active*)((Active*)single_instance_158_4_0))->alterables->values.set(3, -1); // 'Bullet'
        ((Active*)((Active*)single_instance_158_4_0))->alterables->values.set(5, ((Active*)get_instance(player_65_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_158_4_0))->alterables->values.set(4, ((Active*)get_instance(player_65_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_158_4_0))->force_animation(((Active*)get_instance(player_65_instances))->alterables->values.get(14));
    }
    event_158_4_end: ;
}
void Frames::event_func_407()
{
    // event 159_4
    {
        // group: Guns!
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_159_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_159_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(5, 0); // 'Player'
    }
    event_159_4_end: ;
}
void Frames::event_func_408()
{
    // event 160_4
    {
        // group: Guns!
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_160_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_160_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(5, 1); // 'Player'
    }
    event_160_4_end: ;
}
void Frames::event_func_409()
{
    // event 161_4
    {
        // group: Guns!
        bullet_94_instances.clear_selection();
        for (ObjectIterator it(bullet_94_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->is_near_border(-6))) { it.deselect(); continue; }
        }
        if (!bullet_94_instances.has_selection()) goto event_161_4_end;
        for (ObjectIterator it(bullet_94_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_161_4_end: ;
}
void Frames::event_func_410()
{
    // event 162_4
    {
        // group: Guns!
        bullet_94_instances.clear_selection();
        for (ObjectIterator it(bullet_94_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!bullet_94_instances.has_selection()) goto event_162_4_end;
        for (ObjectIterator it(bullet_94_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_162_4_end: ;
}
void Frames::event_func_411()
{
    // event 163_4
    {
        // group: Guns!
        bullet_94_instances.clear_selection();
        for (ObjectIterator it(bullet_94_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x((((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(0)*((Active*)*it)->alterables->values.get(3)));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+(((Active*)*it)->alterables->values.get(0)*((Active*)*it)->alterables->values.get(2)));
        }
    }
    event_163_4_end: ;
}
void Frames::event_func_412()
{
    // event 164_4
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_164_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(5)) == (0))) goto event_164_4_end;
        if (!((bullet_94_instances.size()) < (3))) goto event_164_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_164_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) != (0))) goto event_164_4_end;
        FrameObject * single_instance_164_4_0; single_instance_164_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_65_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_94(parent->x + 11, parent->y + -4), parent->layer);
                if (single_instance_164_4_0 == NULL)
                    single_instance_164_4_0 = new_obj;
            }
        }
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_164_4_0))->alterables->values.set(0, 12*((Active*)get_instance(player_65_instances))->alterables->values.get(13)); // 'Bullet'
        ((Active*)((Active*)single_instance_164_4_0))->alterables->values.set(3, 1); // 'Bullet'
        ((Active*)((Active*)single_instance_164_4_0))->alterables->values.set(5, ((Active*)get_instance(player_65_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_164_4_0))->alterables->values.set(4, ((Active*)get_instance(player_65_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_164_4_0))->force_animation(((Active*)get_instance(player_65_instances))->alterables->values.get(14));
    }
    event_164_4_end: ;
}
void Frames::event_func_413()
{
    // event 165_4
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_165_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(5)) == (1))) goto event_165_4_end;
        if (!((bullet_94_instances.size()) < (3))) goto event_165_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(8)) == (0))) goto event_165_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) != (0))) goto event_165_4_end;
        FrameObject * single_instance_165_4_0; single_instance_165_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_65_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_94(parent->x + -11, parent->y + -4), parent->layer);
                if (single_instance_165_4_0 == NULL)
                    single_instance_165_4_0 = new_obj;
            }
        }
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_165_4_0))->alterables->values.set(0, 12*((Active*)get_instance(player_65_instances))->alterables->values.get(13)); // 'Bullet'
        ((Active*)((Active*)single_instance_165_4_0))->alterables->values.set(3, -1); // 'Bullet'
        ((Active*)((Active*)single_instance_165_4_0))->alterables->values.set(5, ((Active*)get_instance(player_65_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_165_4_0))->alterables->values.set(4, ((Active*)get_instance(player_65_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_165_4_0))->force_animation(((Active*)get_instance(player_65_instances))->alterables->values.get(14));
    }
    event_165_4_end: ;
}
void Frames::event_func_414()
{
    // event 167_4
    {
        // group: Graphical Effects
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) > (0))) goto event_167_4_end;
        FrameObject * single_instance_167_4_0; single_instance_167_4_0 = NULL;
        // select single: true false false
        sprite_71_instances.clear_selection();
        for (ObjectIterator p_it(sprite_71_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_afterimager_95(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_167_4_0 == NULL)
                    single_instance_167_4_0 = new_obj;
            }
        }
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->move_front();
        }
    }
    event_167_4_end: ;
}
void Frames::event_func_415()
{
    // event 168_4
    {
        // group: Graphical Effects
        afterimager_95_instances.clear_selection();
        for (ObjectIterator it(afterimager_95_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!afterimager_95_instances.has_selection()) goto event_168_4_end;
        for (ObjectIterator it(afterimager_95_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_168_4_end: ;
}
void Frames::event_func_416()
{
    // event 169_4
    {
        // group: Graphical Effects
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (0))) goto event_169_4_end;
        afterimager_95_instances.clear_selection();
        for (ObjectIterator it(afterimager_95_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        afterimagel2_96_instances.clear_selection();
        for (ObjectIterator it(afterimagel2_96_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_169_4_end: ;
}
void Frames::event_func_417()
{
    // event 170_4
    {
        // group: Graphical Effects
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) < (0))) goto event_170_4_end;
        FrameObject * single_instance_170_4_0; single_instance_170_4_0 = NULL;
        // select single: true false false
        sprite_71_instances.clear_selection();
        for (ObjectIterator p_it(sprite_71_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_afterimagel2_96(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_170_4_0 == NULL)
                    single_instance_170_4_0 = new_obj;
            }
        }
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->move_front();
        }
    }
    event_170_4_end: ;
}
void Frames::event_func_418()
{
    // event 171_4
    {
        // group: Graphical Effects
        afterimagel2_96_instances.clear_selection();
        for (ObjectIterator it(afterimagel2_96_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!afterimagel2_96_instances.has_selection()) goto event_171_4_end;
        for (ObjectIterator it(afterimagel2_96_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_171_4_end: ;
}
void Frames::event_func_419()
{
    // event 172_4
    {
        // group: Graphical Effects
        every_172_4_0 += manager.dt;
        if (every_172_4_0 < 1.0) goto event_172_4_end;
        every_172_4_0 -= 1.0;
        ((Active*)get_instance(obscuretastictiles_90_instances))->move_front();
    }
    event_172_4_end: ;
}
void Frames::event_func_420()
{
    // event 173_4
    {
        // group: Graphical Effects
        player_65_instances.clear_selection();
        objwatertop_101_instances.clear_selection();
        if (!check_overlap(player_65_instances, objwatertop_101_instances)) goto event_173_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_173_4_end;
        if (not_always_173_4_0 > loop_count) {
            not_always_173_4_0 = loop_count + 2;
            goto event_173_4_end;
        }
        not_always_173_4_0 = loop_count + 2;
        FrameObject * single_instance_173_4_1; single_instance_173_4_1 = NULL;
        // select single: true false false
        sprite_71_instances.clear_selection();
        for (ObjectIterator p_it(sprite_71_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_background_102(parent->x + -30, parent->y + -23), parent->layer);
                if (single_instance_173_4_1 == NULL)
                    single_instance_173_4_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_173_4_1))->move_back();
        ((Active*)((Active*)single_instance_173_4_1))->set_y(((Active*)get_single(objwatertop_101_instances, default_active_instance))->get_y()-10);
    }
    event_173_4_end: ;
}
void Frames::event_func_421()
{
    // event 174_4
    {
        // group: Sounds
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_174_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(12)) == (0))) goto event_174_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 0); // 'Sprite'
        }
        media.play_id(SOUND_BASSGUN_9, 3-1);
        media.set_sample_volume(SOUND_BASSGUN_9, global_values->get(12)*1.0);
    }
    event_174_4_end: ;
}
void Frames::event_func_422()
{
    // event 175_4
    {
        // group: Sounds
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_175_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(12)) > (0))) goto event_175_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 0); // 'Sprite'
        }
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 8); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 5); // 'camera chaser'
        media.play_id(SOUND_POWERGUNSHOT_BASS_13, -1, 1);
        media.set_sample_volume(SOUND_POWERGUNSHOT_BASS_13, global_values->get(12)*0.3);
    }
    event_175_4_end: ;
}
void Frames::event_func_423()
{
    // event 176_4
    {
        // group: Sounds
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) != (0))) goto event_176_4_end;
        if (not_always_176_4_0 > loop_count) {
            not_always_176_4_0 = loop_count + 2;
            goto event_176_4_end;
        }
        not_always_176_4_0 = loop_count + 2;
        media.play_id(SOUND_DASH_2_1, -1, 1);
        media.set_sample_volume(SOUND_DASH_2_1, global_values->get(12)*0.5);
    }
    event_176_4_end: ;
}
void Frames::event_func_424()
{
    // event 177_4
    {
        // group: Sounds
        if (!(((Active*)get_instance(detector_66_instances))->overlaps_background())) goto event_177_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(0)) >= (0))) goto event_177_4_end;
        if (not_always_177_4_0 > loop_count) {
            not_always_177_4_0 = loop_count + 2;
            goto event_177_4_end;
        }
        not_always_177_4_0 = loop_count + 2;
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_177_4_end: ;
}
void Frames::event_func_425()
{
    // event 191_4
    {
        // group: Sounds
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(7)) > (0))) goto event_191_4_end;
        if (not_always_191_4_0 > loop_count) {
            not_always_191_4_0 = loop_count + 2;
            goto event_191_4_end;
        }
        not_always_191_4_0 = loop_count + 2;
        media.play_id(SOUND_HURT_5, -1, 1);
        media.set_sample_volume(SOUND_HURT_5, global_values->get(12)*0.5);
    }
    event_191_4_end: ;
}
void Frames::event_func_426()
{
    // event 201_4
    {
        // group: Sounds
        every_201_4_0 += manager.dt;
        if (every_201_4_0 < 1.76) goto event_201_4_end;
        every_201_4_0 -= 1.76;
        active_1_instances.clear_selection();
        screen_123_instances.clear_selection();
        if (!check_overlap(active_1_instances, screen_123_instances)) goto event_201_4_end;
        media.play_id(SOUND_CANNON_4_12, -1, 1);
        media.set_sample_volume(SOUND_CANNON_4_12, 1.0);
    }
    event_201_4_end: ;
}
void Frames::event_func_427()
{
    // event 202_4
    {
        // group: Sounds
        active8_12_instances.clear_selection();
        for (ObjectIterator it(active8_12_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (80))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (0))) { it.deselect(); continue; }
        }
        if (!active8_12_instances.has_selection()) goto event_202_4_end;
        screen_123_instances.clear_selection();
        if (!check_overlap(active8_12_instances, screen_123_instances)) goto event_202_4_end;
        if (not_always_202_4_0 > loop_count) {
            not_always_202_4_0 = loop_count + 2;
            goto event_202_4_end;
        }
        not_always_202_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_202_4_end: ;
}
void Frames::event_func_428()
{
    // event 203_4
    {
        // group: Sounds
        active8_12_instances.clear_selection();
        for (ObjectIterator it(active8_12_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (160))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (80))) { it.deselect(); continue; }
        }
        if (!active8_12_instances.has_selection()) goto event_203_4_end;
        screen_123_instances.clear_selection();
        if (!check_overlap(active8_12_instances, screen_123_instances)) goto event_203_4_end;
        if (not_always_203_4_0 > loop_count) {
            not_always_203_4_0 = loop_count + 2;
            goto event_203_4_end;
        }
        not_always_203_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_203_4_end: ;
}
void Frames::event_func_429()
{
    // event 204_4
    {
        // group: Sounds
        active8_12_instances.clear_selection();
        for (ObjectIterator it(active8_12_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (240))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (160))) { it.deselect(); continue; }
        }
        if (!active8_12_instances.has_selection()) goto event_204_4_end;
        screen_123_instances.clear_selection();
        if (!check_overlap(active8_12_instances, screen_123_instances)) goto event_204_4_end;
        if (not_always_204_4_0 > loop_count) {
            not_always_204_4_0 = loop_count + 2;
            goto event_204_4_end;
        }
        not_always_204_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_204_4_end: ;
}
void Frames::event_func_430()
{
    // event 205_4
    {
        // group: Sounds
        active8_12_instances.clear_selection();
        for (ObjectIterator it(active8_12_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (320))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (240))) { it.deselect(); continue; }
        }
        if (!active8_12_instances.has_selection()) goto event_205_4_end;
        screen_123_instances.clear_selection();
        if (!check_overlap(active8_12_instances, screen_123_instances)) goto event_205_4_end;
        if (not_always_205_4_0 > loop_count) {
            not_always_205_4_0 = loop_count + 2;
            goto event_205_4_end;
        }
        not_always_205_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_205_4_end: ;
}
void Frames::event_func_431()
{
    // event 206_4
    {
        // group: Sounds
        active8_12_instances.clear_selection();
        for (ObjectIterator it(active8_12_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (400))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (320))) { it.deselect(); continue; }
        }
        if (!active8_12_instances.has_selection()) goto event_206_4_end;
        screen_123_instances.clear_selection();
        if (!check_overlap(active8_12_instances, screen_123_instances)) goto event_206_4_end;
        if (not_always_206_4_0 > loop_count) {
            not_always_206_4_0 = loop_count + 2;
            goto event_206_4_end;
        }
        not_always_206_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_206_4_end: ;
}
void Frames::event_func_432()
{
    // event 207_4
    {
        // group: Sounds
        active8_12_instances.clear_selection();
        for (ObjectIterator it(active8_12_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (500))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (400))) { it.deselect(); continue; }
        }
        if (!active8_12_instances.has_selection()) goto event_207_4_end;
        screen_123_instances.clear_selection();
        if (!check_overlap(active8_12_instances, screen_123_instances)) goto event_207_4_end;
        if (not_always_207_4_0 > loop_count) {
            not_always_207_4_0 = loop_count + 2;
            goto event_207_4_end;
        }
        not_always_207_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_207_4_end: ;
}
void Frames::event_func_433()
{
    // event 208_4
    {
        // group: Sounds
        enemychomper_160_instances.clear_selection();
        for (ObjectIterator it(enemychomper_160_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemychomper_160_instances.has_selection()) goto event_208_4_end;
        media.play_id(SOUND_CANNON_4_12, -1, 1);
        media.set_sample_volume(SOUND_CANNON_4_12, global_values->get(12)*1.0);
    }
    event_208_4_end: ;
}
void Frames::event_func_434()
{
    // event 210_4
    {
        // group: Sounds
        movingplatform_69_instances.clear_selection();
        detector_66_instances.clear_selection();
        if (!check_overlap(movingplatform_69_instances, detector_66_instances)) goto event_210_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(2)) == (0))) goto event_210_4_end;
        if (not_always_210_4_0 > loop_count) {
            not_always_210_4_0 = loop_count + 2;
            goto event_210_4_end;
        }
        not_always_210_4_0 = loop_count + 2;
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, 0.4*global_values->get(12));
    }
    event_210_4_end: ;
}
void Frames::event_func_435()
{
    // event 211_4
    {
        // group: Sounds
        media.set_sample_volume(SOUND_DASH_2_1, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_GUNSHOT_0, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_GETONGROUND_2, 0.4*global_values->get(12));
        media.set_sample_volume(SOUND_ENEMYHIT_3, 0.45*global_values->get(12));
        media.set_sample_volume(SOUND_HURT_5, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_SPRING_4, 0.8*global_values->get(12));
        media.set_sample_volume(SOUND_EXPLOSION_6, 0.25*global_values->get(12));
        media.set_channel_volume(3-1, global_values->get(12)*0.5);
        media.set_channel_volume(4-1, 0.25*global_values->get(12));
        media.set_sample_volume(SOUND_POWERGUNSHOT_BASS_13, 0.3*global_values->get(12));
        media.set_sample_volume(SOUND_ZAP_17, 0.3*global_values->get(12));
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1.0*global_values->get(12));
        media.set_sample_volume(SOUND_CANNON_4_12, global_values->get(12));
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12));
        media.set_sample_volume(SOUND_KEY_11, global_values->get(12));
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_20, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_BOOM_16, 0.5*global_values->get(12));
    }
    event_211_4_end: ;
}
void Frames::event_func_436()
{
    // event 212_4
    {
        // group: Water
        player_65_instances.clear_selection();
        active3_61_instances.clear_selection();
        if (!check_overlap(player_65_instances, active3_61_instances)) goto event_212_4_end;
        if (((Active*)get_instance(detector_66_instances))->overlaps_background()) goto event_212_4_end;
        every_212_4_0 += manager.dt;
        if (every_212_4_0 < 0.05) goto event_212_4_end;
        every_212_4_0 -= 0.05;
        ((Active*)get_instance(player_65_instances))->alterables->values.sub(0, 1); // 'Player'
    }
    event_212_4_end: ;
}
void Frames::event_func_437()
{
    // event 214_4
    {
        // group: Water
        background_102_instances.clear_selection();
        for (ObjectIterator it(background_102_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!background_102_instances.has_selection()) goto event_214_4_end;
        for (ObjectIterator it(background_102_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_214_4_end: ;
}
void Frames::event_func_438()
{
    // event 216_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (0))) goto event_216_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(7)) > (0))) goto event_216_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(5)) == (0))) goto event_216_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.sub(7, 1); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(1, -1); // 'Player'
    }
    event_216_4_end: ;
}
void Frames::event_func_439()
{
    // event 217_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(4)) == (0))) goto event_217_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(7)) > (0))) goto event_217_4_end;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(5)) == (1))) goto event_217_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.sub(7, 1); // 'Player'
        ((Active*)get_instance(player_65_instances))->alterables->values.set(1, 1); // 'Player'
    }
    event_217_4_end: ;
}
void Frames::event_func_440()
{
    // event 218_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(7)) > (0))) goto event_218_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(8, 1); // 'Player'
    }
    event_218_4_end: ;
}
void Frames::event_func_441()
{
    // event 219_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(7)) == (0))) goto event_219_4_end;
        if (not_always_219_4_0 > loop_count) {
            not_always_219_4_0 = loop_count + 2;
            goto event_219_4_end;
        }
        not_always_219_4_0 = loop_count + 2;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(8, 0); // 'Player'
    }
    event_219_4_end: ;
}
void Frames::event_func_442()
{
    // event 220_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(7)) > (0))) goto event_220_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_220_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
    }
    event_220_4_end: ;
}
void Frames::event_func_443()
{
    // event 221_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(7)) > (0))) goto event_221_4_end;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->is_animation_finished(21))) { it.deselect(); continue; }
        }
        if (!sprite_71_instances.has_selection()) goto event_221_4_end;
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
    }
    event_221_4_end: ;
}
void Frames::event_func_444()
{
    // event 222_4
    {
        // group: Hurt
        every_222_4_0 += manager.dt;
        if (every_222_4_0 < 0.01) goto event_222_4_end;
        every_222_4_0 -= 0.01;
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(9)) > (0))) goto event_222_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.sub(9, 1); // 'Player'
    }
    event_222_4_end: ;
}
void Frames::event_func_445()
{
    // event 223_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(7)) > (0))) goto event_223_4_end;
        if (not_always_223_4_0 > loop_count) {
            not_always_223_4_0 = loop_count + 2;
            goto event_223_4_end;
        }
        not_always_223_4_0 = loop_count + 2;
        sprite_71_instances.clear_selection();
        for (ObjectIterator it(sprite_71_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 20); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 20); // 'camera chaser'
    }
    event_223_4_end: ;
}
void Frames::event_func_446()
{
    // event 224_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_65_instances))->alterables->values.get(7)) <= (0))) goto event_224_4_end;
        ((Active*)get_instance(healthbar2_162_instances))->set_x_scale(((Active*)get_instance(healthbar2_162_instances))->x_scale-((((Active*)get_instance(healthbar2_162_instances))->x_scale-((Active*)get_instance(healthbar_119_instances))->x_scale)*0.12));
    }
    event_224_4_end: ;
}
void Frames::event_func_447()
{
    // event 225_4
    {
        // group: Hoverer
        player_65_instances.clear_selection();
        hoverer_111_instances.clear_selection();
        if (!check_overlap(player_65_instances, hoverer_111_instances)) goto event_225_4_end;
        ((Active*)get_instance(player_65_instances))->alterables->values.set(0, -3); // 'Player'
    }
    event_225_4_end: ;
}
void Frames::event_func_448()
{
    // event 232_4
    {
        // group: Crates
        explosion_103_instances.clear_selection();
        for (ObjectIterator it(explosion_103_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!explosion_103_instances.has_selection()) goto event_232_4_end;
        for (ObjectIterator it(explosion_103_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_232_4_end: ;
}
void Frames::event_func_449()
{
    // event 233_4
    {
        // group: Crates
        enemyexplosion_154_instances.clear_selection();
        for (ObjectIterator it(enemyexplosion_154_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!enemyexplosion_154_instances.has_selection()) goto event_233_4_end;
        for (ObjectIterator it(enemyexplosion_154_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_233_4_end: ;
}
void Frames::event_func_450()
{
    // event 237_4
    {
        // group: Crates
        tntconveyor_114_instances.clear_selection();
        for (ObjectIterator it(tntconveyor_114_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->alterables->values.get(0));
        }
        tntstatic_104_instances.clear_selection();
        for (ObjectIterator it(tntstatic_104_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->alterables->values.get(0));
        }
    }
    event_237_4_end: ;
}
void Frames::event_func_451()
{
    // event 238_4
    {
        // group: Crates
        tntconveyor_114_instances.clear_selection();
        for (ObjectIterator it(tntconveyor_114_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (40))) { it.deselect(); continue; }
        }
        if (!tntconveyor_114_instances.has_selection()) goto event_238_4_end;
        for (ObjectIterator it(tntconveyor_114_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(40);
        }
    }
    event_238_4_end: ;
}
void Frames::event_func_452()
{
    // event 239_4
    {
        // group: Crates
        tntstatic_104_instances.clear_selection();
        for (ObjectIterator it(tntstatic_104_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (40))) { it.deselect(); continue; }
        }
        if (!tntstatic_104_instances.has_selection()) goto event_239_4_end;
        for (ObjectIterator it(tntstatic_104_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(40);
        }
    }
    event_239_4_end: ;
}
void Frames::event_func_453()
{
    // event 246_4
    {
        // group: Crates
        tntconveyor_114_instances.clear_selection();
        conveyorr_73_instances.clear_selection();
        if (!check_overlap(tntconveyor_114_instances, conveyorr_73_instances)) goto event_246_4_end;
        for (ObjectIterator it(tntconveyor_114_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 2); // 'TNT-conveyor'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_246_4_end: ;
}
void Frames::event_func_454()
{
    // event 247_4
    {
        // group: Crates
        tntstatic_104_instances.clear_selection();
        conveyorr_73_instances.clear_selection();
        if (!check_overlap(tntstatic_104_instances, conveyorr_73_instances)) goto event_247_4_end;
        for (ObjectIterator it(tntstatic_104_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 2); // 'TNT-static'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_247_4_end: ;
}
void Frames::event_func_455()
{
    // event 248_4
    {
        // group: Crates
        tntconveyor_114_instances.clear_selection();
        conveyorl_72_instances.clear_selection();
        if (!check_overlap(tntconveyor_114_instances, conveyorl_72_instances)) goto event_248_4_end;
        for (ObjectIterator it(tntconveyor_114_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 2); // 'TNT-conveyor'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_248_4_end: ;
}
void Frames::event_func_456()
{
    // event 249_4
    {
        // group: Crates
        tntstatic_104_instances.clear_selection();
        conveyorl_72_instances.clear_selection();
        if (!check_overlap(tntstatic_104_instances, conveyorl_72_instances)) goto event_249_4_end;
        for (ObjectIterator it(tntstatic_104_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 2); // 'TNT-static'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_249_4_end: ;
}
void Frames::event_func_457()
{
    // event 252_4
    {
        // group: Crates
        every_252_4_0 += manager.dt;
        if (every_252_4_0 < 1.5) goto event_252_4_end;
        every_252_4_0 -= 1.5;
        FrameObject * single_instance_252_4_1; single_instance_252_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(pipe_113_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_tntconveyor_114(parent->x + 0, parent->y + 16), parent->layer);
                if (single_instance_252_4_1 == NULL)
                    single_instance_252_4_1 = new_obj;
            }
        }
    }
    event_252_4_end: ;
}
void Frames::event_func_458()
{
    // event 253_4
    {
        // group: Crates
        detector_66_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntstatic_104_instances)) goto event_253_4_end;
        conveyorr_73_instances.clear_selection();
        if (!check_overlap(tntstatic_104_instances, conveyorr_73_instances)) goto event_253_4_end;
        if (((Active*)get_instance(player_65_instances))->overlaps_background()) goto event_253_4_end;
        ((Active*)get_instance(player_65_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()+2);
    }
    event_253_4_end: ;
}
void Frames::event_func_459()
{
    // event 254_4
    {
        // group: Crates
        detector_66_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntstatic_104_instances)) goto event_254_4_end;
        conveyorl_72_instances.clear_selection();
        if (!check_overlap(tntstatic_104_instances, conveyorl_72_instances)) goto event_254_4_end;
        if (((Active*)get_instance(player_65_instances))->overlaps_background()) goto event_254_4_end;
        ((Active*)get_instance(player_65_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()-2);
    }
    event_254_4_end: ;
}
void Frames::event_func_460()
{
    // event 255_4
    {
        // group: Crates
        detector_66_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntstatic_104_instances)) goto event_255_4_end;
        conveyorl_72_instances.clear_selection();
        if (!check_overlap(tntstatic_104_instances, conveyorl_72_instances)) goto event_255_4_end;
        if (!(((Active*)get_instance(player_65_instances))->overlaps_background())) goto event_255_4_end;
        ((Active*)get_instance(player_65_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()+2);
    }
    event_255_4_end: ;
}
void Frames::event_func_461()
{
    // event 256_4
    {
        // group: Crates
        detector_66_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntstatic_104_instances)) goto event_256_4_end;
        conveyorr_73_instances.clear_selection();
        if (!check_overlap(tntstatic_104_instances, conveyorr_73_instances)) goto event_256_4_end;
        if (!(((Active*)get_instance(player_65_instances))->overlaps_background())) goto event_256_4_end;
        ((Active*)get_instance(player_65_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()-2);
    }
    event_256_4_end: ;
}
void Frames::event_func_462()
{
    // event 257_4
    {
        // group: Crates
        detector_66_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntstatic_104_instances)) goto event_257_4_end;
        for (ObjectIterator it(tntstatic_104_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (0))) { it.deselect(); continue; }
        }
        if (!tntstatic_104_instances.has_selection()) goto event_257_4_end;
        ((Active*)get_instance(player_65_instances))->set_y(((Active*)get_single(tntstatic_104_instances, default_active_instance))->get_y()-36);
        ((Active*)get_instance(detector_66_instances))->set_y(((Active*)get_single(tntstatic_104_instances, default_active_instance))->get_y()-31);
    }
    event_257_4_end: ;
}
void Frames::event_func_463()
{
    // event 258_4
    bool or_result_258_4 = false;
    bool or_temp_result_258_4_0 = false;
    {
        // group: Crates
        player_65_instances.clear_selection();
        tntstatic_104_instances.clear_selection();
        if (!check_overlap(player_65_instances, tntstatic_104_instances)) goto or_event_258_4_0_end;
        or_result_258_4 = true;
        or_temp_result_258_4_0 = true;
    }
    or_event_258_4_0_end: ;
    player_65_instances.clear_saved_selection();
    tntstatic_104_instances.clear_saved_selection();
    if (or_temp_result_258_4_0) {
        player_65_instances.save_selection();
        tntstatic_104_instances.save_selection();
    }
    // event 258_4
    bool or_temp_result_258_4_1 = false;
    {
        // group: Crates
        tntstatic_104_instances.clear_selection();
        detector_66_instances.clear_selection();
        if (!check_overlap(tntstatic_104_instances, detector_66_instances)) goto or_event_258_4_1_end;
        or_result_258_4 = true;
        or_temp_result_258_4_1 = true;
        or_event_258_4_1_end: ;
        detector_66_instances.clear_saved_selection();
        if (or_temp_result_258_4_1) {
            tntstatic_104_instances.save_selection();
            detector_66_instances.save_selection();
        }
        if (!or_result_258_4) goto or_final_or_event_258_4_1_end;
        detector_66_instances.empty_selection();
        tntstatic_104_instances.empty_selection();
        player_65_instances.empty_selection();
        if (or_temp_result_258_4_0) {
            player_65_instances.restore_selection();
        }
        if (or_temp_result_258_4_0 || or_temp_result_258_4_1) {
            tntstatic_104_instances.restore_selection();
        }
        if (or_temp_result_258_4_1) {
            detector_66_instances.restore_selection();
        }
        for (ObjectIterator it(tntstatic_104_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    or_final_or_event_258_4_1_end: ;
}
void Frames::event_func_464()
{
    // event 259_4
    {
        // group: Crates
        tntstatic_104_instances.clear_selection();
        for (ObjectIterator it(tntstatic_104_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!tntstatic_104_instances.has_selection()) goto event_259_4_end;
        for (ObjectIterator it(tntstatic_104_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_259_4_0; single_instance_259_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(tntstatic_104_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_103(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_259_4_0 == NULL)
                    single_instance_259_4_0 = new_obj;
            }
        }
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(5, 6); // 'camera chaser'
        ((Active*)get_instance(camerachaser_22_instances))->alterables->values.add(6, 6); // 'camera chaser'
    }
    event_259_4_end: ;
}
void Frames::event_func_465()
{
    // event 261_4
    {
        // group: Crates
        detector_66_instances.clear_selection();
        tntconveyor_114_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_261_4_end;
        conveyorr_73_instances.clear_selection();
        if (!check_overlap(tntconveyor_114_instances, conveyorr_73_instances)) goto event_261_4_end;
        if (((Active*)get_instance(player_65_instances))->overlaps_background()) goto event_261_4_end;
        ((Active*)get_instance(player_65_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()+2);
    }
    event_261_4_end: ;
}
void Frames::event_func_466()
{
    // event 262_4
    {
        // group: Crates
        detector_66_instances.clear_selection();
        tntconveyor_114_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_262_4_end;
        conveyorl_72_instances.clear_selection();
        if (!check_overlap(tntconveyor_114_instances, conveyorl_72_instances)) goto event_262_4_end;
        if (((Active*)get_instance(player_65_instances))->overlaps_background()) goto event_262_4_end;
        ((Active*)get_instance(player_65_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()-2);
    }
    event_262_4_end: ;
}
void Frames::event_func_467()
{
    // event 263_4
    {
        // group: Crates
        detector_66_instances.clear_selection();
        tntconveyor_114_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_263_4_end;
        conveyorl_72_instances.clear_selection();
        if (!check_overlap(tntconveyor_114_instances, conveyorl_72_instances)) goto event_263_4_end;
        if (!(((Active*)get_instance(player_65_instances))->overlaps_background())) goto event_263_4_end;
        ((Active*)get_instance(player_65_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()+2);
    }
    event_263_4_end: ;
}
void Frames::event_func_468()
{
    // event 264_4
    {
        // group: Crates
        detector_66_instances.clear_selection();
        tntconveyor_114_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_264_4_end;
        conveyorr_73_instances.clear_selection();
        if (!check_overlap(tntconveyor_114_instances, conveyorr_73_instances)) goto event_264_4_end;
        if (!(((Active*)get_instance(player_65_instances))->overlaps_background())) goto event_264_4_end;
        ((Active*)get_instance(player_65_instances))->set_x(((Active*)get_instance(player_65_instances))->get_x()-2);
    }
    event_264_4_end: ;
}
void Frames::event_func_469()
{
    // event 265_4
    {
        // group: Crates
        detector_66_instances.clear_selection();
        tntconveyor_114_instances.clear_selection();
        if (!check_overlap(detector_66_instances, tntconveyor_114_instances)) goto event_265_4_end;
        for (ObjectIterator it(tntconveyor_114_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (0))) { it.deselect(); continue; }
        }
        if (!tntconveyor_114_instances.has_selection()) goto event_265_4_end;
        ((Active*)get_instance(player_65_instances))->set_y(((Active*)get_single(tntconveyor_114_instances, default_active_instance))->get_y()-36);
        ((Active*)get_instance(detector_66_instances))->set_y(((Active*)get_single(tntconveyor_114_instances, default_active_instance))->get_y()-31);
    }
    event_265_4_end: ;
}
